namespace Kkc {
    struct KeynameEntry {
        uint keyval;
        string name;
    }

    static const KeynameEntry keynames[] = {
        { Keysyms.VoidSymbol, "VoidSymbol" },
        { Keysyms.BackSpace, "BackSpace" },
        { Keysyms.Tab, "Tab" },
        { Keysyms.Linefeed, "Linefeed" },
        { Keysyms.Clear, "Clear" },
        { Keysyms.Return, "Return" },
        { Keysyms.Pause, "Pause" },
        { Keysyms.Scroll_Lock, "Scroll_Lock" },
        { Keysyms.Sys_Req, "Sys_Req" },
        { Keysyms.Escape, "Escape" },
        { Keysyms.Delete, "Delete" },
        { Keysyms.Multi_key, "Multi_key" },
        { Keysyms.Codeinput, "Codeinput" },
        { Keysyms.SingleCandidate, "SingleCandidate" },
        { Keysyms.MultipleCandidate, "MultipleCandidate" },
        { Keysyms.PreviousCandidate, "PreviousCandidate" },
        { Keysyms.Kanji, "Kanji" },
        { Keysyms.Muhenkan, "Muhenkan" },
        { Keysyms.Henkan_Mode, "Henkan_Mode" },
        { Keysyms.Henkan, "Henkan" },
        { Keysyms.Romaji, "Romaji" },
        { Keysyms.Hiragana, "Hiragana" },
        { Keysyms.Katakana, "Katakana" },
        { Keysyms.Hiragana_Katakana, "Hiragana_Katakana" },
        { Keysyms.Zenkaku, "Zenkaku" },
        { Keysyms.Hankaku, "Hankaku" },
        { Keysyms.Zenkaku_Hankaku, "Zenkaku_Hankaku" },
        { Keysyms.Touroku, "Touroku" },
        { Keysyms.Massyo, "Massyo" },
        { Keysyms.Kana_Lock, "Kana_Lock" },
        { Keysyms.Kana_Shift, "Kana_Shift" },
        { Keysyms.Eisu_Shift, "Eisu_Shift" },
        { Keysyms.Eisu_toggle, "Eisu_toggle" },
        { Keysyms.Kanji_Bangou, "Kanji_Bangou" },
        { Keysyms.Zen_Koho, "Zen_Koho" },
        { Keysyms.Mae_Koho, "Mae_Koho" },
        { Keysyms.Home, "Home" },
        { Keysyms.Left, "Left" },
        { Keysyms.Up, "Up" },
        { Keysyms.Right, "Right" },
        { Keysyms.Down, "Down" },
        { Keysyms.Prior, "Prior" },
        { Keysyms.Page_Up, "Page_Up" },
        { Keysyms.Next, "Next" },
        { Keysyms.Page_Down, "Page_Down" },
        { Keysyms.End, "End" },
        { Keysyms.Begin, "Begin" },
        { Keysyms.Select, "Select" },
        { Keysyms.Print, "Print" },
        { Keysyms.Execute, "Execute" },
        { Keysyms.Insert, "Insert" },
        { Keysyms.Undo, "Undo" },
        { Keysyms.Redo, "Redo" },
        { Keysyms.Menu, "Menu" },
        { Keysyms.Find, "Find" },
        { Keysyms.Cancel, "Cancel" },
        { Keysyms.Help, "Help" },
        { Keysyms.Break, "Break" },
        { Keysyms.Mode_switch, "Mode_switch" },
        { Keysyms.script_switch, "script_switch" },
        { Keysyms.Num_Lock, "Num_Lock" },
        { Keysyms.KP_Space, "KP_Space" },
        { Keysyms.KP_Tab, "KP_Tab" },
        { Keysyms.KP_Enter, "KP_Enter" },
        { Keysyms.KP_F1, "KP_F1" },
        { Keysyms.KP_F2, "KP_F2" },
        { Keysyms.KP_F3, "KP_F3" },
        { Keysyms.KP_F4, "KP_F4" },
        { Keysyms.KP_Home, "KP_Home" },
        { Keysyms.KP_Left, "KP_Left" },
        { Keysyms.KP_Up, "KP_Up" },
        { Keysyms.KP_Right, "KP_Right" },
        { Keysyms.KP_Down, "KP_Down" },
        { Keysyms.KP_Prior, "KP_Prior" },
        { Keysyms.KP_Page_Up, "KP_Page_Up" },
        { Keysyms.KP_Next, "KP_Next" },
        { Keysyms.KP_Page_Down, "KP_Page_Down" },
        { Keysyms.KP_End, "KP_End" },
        { Keysyms.KP_Begin, "KP_Begin" },
        { Keysyms.KP_Insert, "KP_Insert" },
        { Keysyms.KP_Delete, "KP_Delete" },
        { Keysyms.KP_Equal, "KP_Equal" },
        { Keysyms.KP_Multiply, "KP_Multiply" },
        { Keysyms.KP_Add, "KP_Add" },
        { Keysyms.KP_Separator, "KP_Separator" },
        { Keysyms.KP_Subtract, "KP_Subtract" },
        { Keysyms.KP_Decimal, "KP_Decimal" },
        { Keysyms.KP_Divide, "KP_Divide" },
        { Keysyms.KP_0, "KP_0" },
        { Keysyms.KP_1, "KP_1" },
        { Keysyms.KP_2, "KP_2" },
        { Keysyms.KP_3, "KP_3" },
        { Keysyms.KP_4, "KP_4" },
        { Keysyms.KP_5, "KP_5" },
        { Keysyms.KP_6, "KP_6" },
        { Keysyms.KP_7, "KP_7" },
        { Keysyms.KP_8, "KP_8" },
        { Keysyms.KP_9, "KP_9" },
        { Keysyms.F1, "F1" },
        { Keysyms.F2, "F2" },
        { Keysyms.F3, "F3" },
        { Keysyms.F4, "F4" },
        { Keysyms.F5, "F5" },
        { Keysyms.F6, "F6" },
        { Keysyms.F7, "F7" },
        { Keysyms.F8, "F8" },
        { Keysyms.F9, "F9" },
        { Keysyms.F10, "F10" },
        { Keysyms.F11, "F11" },
        { Keysyms.L1, "L1" },
        { Keysyms.F12, "F12" },
        { Keysyms.L2, "L2" },
        { Keysyms.F13, "F13" },
        { Keysyms.L3, "L3" },
        { Keysyms.F14, "F14" },
        { Keysyms.L4, "L4" },
        { Keysyms.F15, "F15" },
        { Keysyms.L5, "L5" },
        { Keysyms.F16, "F16" },
        { Keysyms.L6, "L6" },
        { Keysyms.F17, "F17" },
        { Keysyms.L7, "L7" },
        { Keysyms.F18, "F18" },
        { Keysyms.L8, "L8" },
        { Keysyms.F19, "F19" },
        { Keysyms.L9, "L9" },
        { Keysyms.F20, "F20" },
        { Keysyms.L10, "L10" },
        { Keysyms.F21, "F21" },
        { Keysyms.R1, "R1" },
        { Keysyms.F22, "F22" },
        { Keysyms.R2, "R2" },
        { Keysyms.F23, "F23" },
        { Keysyms.R3, "R3" },
        { Keysyms.F24, "F24" },
        { Keysyms.R4, "R4" },
        { Keysyms.F25, "F25" },
        { Keysyms.R5, "R5" },
        { Keysyms.F26, "F26" },
        { Keysyms.R6, "R6" },
        { Keysyms.F27, "F27" },
        { Keysyms.R7, "R7" },
        { Keysyms.F28, "F28" },
        { Keysyms.R8, "R8" },
        { Keysyms.F29, "F29" },
        { Keysyms.R9, "R9" },
        { Keysyms.F30, "F30" },
        { Keysyms.R10, "R10" },
        { Keysyms.F31, "F31" },
        { Keysyms.R11, "R11" },
        { Keysyms.F32, "F32" },
        { Keysyms.R12, "R12" },
        { Keysyms.F33, "F33" },
        { Keysyms.R13, "R13" },
        { Keysyms.F34, "F34" },
        { Keysyms.R14, "R14" },
        { Keysyms.F35, "F35" },
        { Keysyms.R15, "R15" },
        { Keysyms.Shift_L, "Shift_L" },
        { Keysyms.Shift_R, "Shift_R" },
        { Keysyms.Control_L, "Control_L" },
        { Keysyms.Control_R, "Control_R" },
        { Keysyms.Caps_Lock, "Caps_Lock" },
        { Keysyms.Shift_Lock, "Shift_Lock" },
        { Keysyms.Meta_L, "Meta_L" },
        { Keysyms.Meta_R, "Meta_R" },
        { Keysyms.Alt_L, "Alt_L" },
        { Keysyms.Alt_R, "Alt_R" },
        { Keysyms.Super_L, "Super_L" },
        { Keysyms.Super_R, "Super_R" },
        { Keysyms.Hyper_L, "Hyper_L" },
        { Keysyms.Hyper_R, "Hyper_R" },
        { Keysyms.ISO_Lock, "ISO_Lock" },
        { Keysyms.ISO_Level2_Latch, "ISO_Level2_Latch" },
        { Keysyms.ISO_Level3_Shift, "ISO_Level3_Shift" },
        { Keysyms.ISO_Level3_Latch, "ISO_Level3_Latch" },
        { Keysyms.ISO_Level3_Lock, "ISO_Level3_Lock" },
        { Keysyms.ISO_Level5_Shift, "ISO_Level5_Shift" },
        { Keysyms.ISO_Level5_Latch, "ISO_Level5_Latch" },
        { Keysyms.ISO_Level5_Lock, "ISO_Level5_Lock" },
        { Keysyms.ISO_Group_Shift, "ISO_Group_Shift" },
        { Keysyms.ISO_Group_Latch, "ISO_Group_Latch" },
        { Keysyms.ISO_Group_Lock, "ISO_Group_Lock" },
        { Keysyms.ISO_Next_Group, "ISO_Next_Group" },
        { Keysyms.ISO_Next_Group_Lock, "ISO_Next_Group_Lock" },
        { Keysyms.ISO_Prev_Group, "ISO_Prev_Group" },
        { Keysyms.ISO_Prev_Group_Lock, "ISO_Prev_Group_Lock" },
        { Keysyms.ISO_First_Group, "ISO_First_Group" },
        { Keysyms.ISO_First_Group_Lock, "ISO_First_Group_Lock" },
        { Keysyms.ISO_Last_Group, "ISO_Last_Group" },
        { Keysyms.ISO_Last_Group_Lock, "ISO_Last_Group_Lock" },
        { Keysyms.ISO_Left_Tab, "ISO_Left_Tab" },
        { Keysyms.ISO_Move_Line_Up, "ISO_Move_Line_Up" },
        { Keysyms.ISO_Move_Line_Down, "ISO_Move_Line_Down" },
        { Keysyms.ISO_Partial_Line_Up, "ISO_Partial_Line_Up" },
        { Keysyms.ISO_Partial_Line_Down, "ISO_Partial_Line_Down" },
        { Keysyms.ISO_Partial_Space_Left, "ISO_Partial_Space_Left" },
        { Keysyms.ISO_Partial_Space_Right, "ISO_Partial_Space_Right" },
        { Keysyms.ISO_Set_Margin_Left, "ISO_Set_Margin_Left" },
        { Keysyms.ISO_Set_Margin_Right, "ISO_Set_Margin_Right" },
        { Keysyms.ISO_Release_Margin_Left, "ISO_Release_Margin_Left" },
        { Keysyms.ISO_Release_Margin_Right, "ISO_Release_Margin_Right" },
        { Keysyms.ISO_Release_Both_Margins, "ISO_Release_Both_Margins" },
        { Keysyms.ISO_Fast_Cursor_Left, "ISO_Fast_Cursor_Left" },
        { Keysyms.ISO_Fast_Cursor_Right, "ISO_Fast_Cursor_Right" },
        { Keysyms.ISO_Fast_Cursor_Up, "ISO_Fast_Cursor_Up" },
        { Keysyms.ISO_Fast_Cursor_Down, "ISO_Fast_Cursor_Down" },
        { Keysyms.ISO_Continuous_Underline, "ISO_Continuous_Underline" },
        { Keysyms.ISO_Discontinuous_Underline, "ISO_Discontinuous_Underline" },
        { Keysyms.ISO_Emphasize, "ISO_Emphasize" },
        { Keysyms.ISO_Center_Object, "ISO_Center_Object" },
        { Keysyms.ISO_Enter, "ISO_Enter" },
        { Keysyms.dead_grave, "dead_grave" },
        { Keysyms.dead_acute, "dead_acute" },
        { Keysyms.dead_circumflex, "dead_circumflex" },
        { Keysyms.dead_tilde, "dead_tilde" },
        { Keysyms.dead_perispomeni, "dead_perispomeni" },
        { Keysyms.dead_macron, "dead_macron" },
        { Keysyms.dead_breve, "dead_breve" },
        { Keysyms.dead_abovedot, "dead_abovedot" },
        { Keysyms.dead_diaeresis, "dead_diaeresis" },
        { Keysyms.dead_abovering, "dead_abovering" },
        { Keysyms.dead_doubleacute, "dead_doubleacute" },
        { Keysyms.dead_caron, "dead_caron" },
        { Keysyms.dead_cedilla, "dead_cedilla" },
        { Keysyms.dead_ogonek, "dead_ogonek" },
        { Keysyms.dead_iota, "dead_iota" },
        { Keysyms.dead_voiced_sound, "dead_voiced_sound" },
        { Keysyms.dead_semivoiced_sound, "dead_semivoiced_sound" },
        { Keysyms.dead_belowdot, "dead_belowdot" },
        { Keysyms.dead_hook, "dead_hook" },
        { Keysyms.dead_horn, "dead_horn" },
        { Keysyms.dead_stroke, "dead_stroke" },
        { Keysyms.dead_abovecomma, "dead_abovecomma" },
        { Keysyms.dead_psili, "dead_psili" },
        { Keysyms.dead_abovereversedcomma, "dead_abovereversedcomma" },
        { Keysyms.dead_dasia, "dead_dasia" },
        { Keysyms.dead_doublegrave, "dead_doublegrave" },
        { Keysyms.dead_belowring, "dead_belowring" },
        { Keysyms.dead_belowmacron, "dead_belowmacron" },
        { Keysyms.dead_belowcircumflex, "dead_belowcircumflex" },
        { Keysyms.dead_belowtilde, "dead_belowtilde" },
        { Keysyms.dead_belowbreve, "dead_belowbreve" },
        { Keysyms.dead_belowdiaeresis, "dead_belowdiaeresis" },
        { Keysyms.dead_invertedbreve, "dead_invertedbreve" },
        { Keysyms.dead_belowcomma, "dead_belowcomma" },
        { Keysyms.dead_currency, "dead_currency" },
        { Keysyms.dead_a, "dead_a" },
        { Keysyms.dead_A, "dead_A" },
        { Keysyms.dead_e, "dead_e" },
        { Keysyms.dead_E, "dead_E" },
        { Keysyms.dead_i, "dead_i" },
        { Keysyms.dead_I, "dead_I" },
        { Keysyms.dead_o, "dead_o" },
        { Keysyms.dead_O, "dead_O" },
        { Keysyms.dead_u, "dead_u" },
        { Keysyms.dead_U, "dead_U" },
        { Keysyms.dead_small_schwa, "dead_small_schwa" },
        { Keysyms.dead_capital_schwa, "dead_capital_schwa" },
        { Keysyms.First_Virtual_Screen, "First_Virtual_Screen" },
        { Keysyms.Prev_Virtual_Screen, "Prev_Virtual_Screen" },
        { Keysyms.Next_Virtual_Screen, "Next_Virtual_Screen" },
        { Keysyms.Last_Virtual_Screen, "Last_Virtual_Screen" },
        { Keysyms.Terminate_Server, "Terminate_Server" },
        { Keysyms.AccessX_Enable, "AccessX_Enable" },
        { Keysyms.AccessX_Feedback_Enable, "AccessX_Feedback_Enable" },
        { Keysyms.RepeatKeys_Enable, "RepeatKeys_Enable" },
        { Keysyms.SlowKeys_Enable, "SlowKeys_Enable" },
        { Keysyms.BounceKeys_Enable, "BounceKeys_Enable" },
        { Keysyms.StickyKeys_Enable, "StickyKeys_Enable" },
        { Keysyms.MouseKeys_Enable, "MouseKeys_Enable" },
        { Keysyms.MouseKeys_Accel_Enable, "MouseKeys_Accel_Enable" },
        { Keysyms.Overlay1_Enable, "Overlay1_Enable" },
        { Keysyms.Overlay2_Enable, "Overlay2_Enable" },
        { Keysyms.AudibleBell_Enable, "AudibleBell_Enable" },
        { Keysyms.Pointer_Left, "Pointer_Left" },
        { Keysyms.Pointer_Right, "Pointer_Right" },
        { Keysyms.Pointer_Up, "Pointer_Up" },
        { Keysyms.Pointer_Down, "Pointer_Down" },
        { Keysyms.Pointer_UpLeft, "Pointer_UpLeft" },
        { Keysyms.Pointer_UpRight, "Pointer_UpRight" },
        { Keysyms.Pointer_DownLeft, "Pointer_DownLeft" },
        { Keysyms.Pointer_DownRight, "Pointer_DownRight" },
        { Keysyms.Pointer_Button_Dflt, "Pointer_Button_Dflt" },
        { Keysyms.Pointer_Button1, "Pointer_Button1" },
        { Keysyms.Pointer_Button2, "Pointer_Button2" },
        { Keysyms.Pointer_Button3, "Pointer_Button3" },
        { Keysyms.Pointer_Button4, "Pointer_Button4" },
        { Keysyms.Pointer_Button5, "Pointer_Button5" },
        { Keysyms.Pointer_DblClick_Dflt, "Pointer_DblClick_Dflt" },
        { Keysyms.Pointer_DblClick1, "Pointer_DblClick1" },
        { Keysyms.Pointer_DblClick2, "Pointer_DblClick2" },
        { Keysyms.Pointer_DblClick3, "Pointer_DblClick3" },
        { Keysyms.Pointer_DblClick4, "Pointer_DblClick4" },
        { Keysyms.Pointer_DblClick5, "Pointer_DblClick5" },
        { Keysyms.Pointer_Drag_Dflt, "Pointer_Drag_Dflt" },
        { Keysyms.Pointer_Drag1, "Pointer_Drag1" },
        { Keysyms.Pointer_Drag2, "Pointer_Drag2" },
        { Keysyms.Pointer_Drag3, "Pointer_Drag3" },
        { Keysyms.Pointer_Drag4, "Pointer_Drag4" },
        { Keysyms.Pointer_Drag5, "Pointer_Drag5" },
        { Keysyms.Pointer_EnableKeys, "Pointer_EnableKeys" },
        { Keysyms.Pointer_Accelerate, "Pointer_Accelerate" },
        { Keysyms.Pointer_DfltBtnNext, "Pointer_DfltBtnNext" },
        { Keysyms.Pointer_DfltBtnPrev, "Pointer_DfltBtnPrev" },
        { Keysyms.@3270_Duplicate, "@3270_Duplicate" },
        { Keysyms.@3270_FieldMark, "@3270_FieldMark" },
        { Keysyms.@3270_Right2, "@3270_Right2" },
        { Keysyms.@3270_Left2, "@3270_Left2" },
        { Keysyms.@3270_BackTab, "@3270_BackTab" },
        { Keysyms.@3270_EraseEOF, "@3270_EraseEOF" },
        { Keysyms.@3270_EraseInput, "@3270_EraseInput" },
        { Keysyms.@3270_Reset, "@3270_Reset" },
        { Keysyms.@3270_Quit, "@3270_Quit" },
        { Keysyms.@3270_PA1, "@3270_PA1" },
        { Keysyms.@3270_PA2, "@3270_PA2" },
        { Keysyms.@3270_PA3, "@3270_PA3" },
        { Keysyms.@3270_Test, "@3270_Test" },
        { Keysyms.@3270_Attn, "@3270_Attn" },
        { Keysyms.@3270_CursorBlink, "@3270_CursorBlink" },
        { Keysyms.@3270_AltCursor, "@3270_AltCursor" },
        { Keysyms.@3270_KeyClick, "@3270_KeyClick" },
        { Keysyms.@3270_Jump, "@3270_Jump" },
        { Keysyms.@3270_Ident, "@3270_Ident" },
        { Keysyms.@3270_Rule, "@3270_Rule" },
        { Keysyms.@3270_Copy, "@3270_Copy" },
        { Keysyms.@3270_Play, "@3270_Play" },
        { Keysyms.@3270_Setup, "@3270_Setup" },
        { Keysyms.@3270_Record, "@3270_Record" },
        { Keysyms.@3270_ChangeScreen, "@3270_ChangeScreen" },
        { Keysyms.@3270_DeleteWord, "@3270_DeleteWord" },
        { Keysyms.@3270_ExSelect, "@3270_ExSelect" },
        { Keysyms.@3270_CursorSelect, "@3270_CursorSelect" },
        { Keysyms.@3270_PrintScreen, "@3270_PrintScreen" },
        { Keysyms.@3270_Enter, "@3270_Enter" },
        { Keysyms.space, "space" },
        { Keysyms.exclam, "exclam" },
        { Keysyms.quotedbl, "quotedbl" },
        { Keysyms.numbersign, "numbersign" },
        { Keysyms.dollar, "dollar" },
        { Keysyms.percent, "percent" },
        { Keysyms.ampersand, "ampersand" },
        { Keysyms.apostrophe, "apostrophe" },
        { Keysyms.quoteright, "quoteright" },
        { Keysyms.parenleft, "parenleft" },
        { Keysyms.parenright, "parenright" },
        { Keysyms.asterisk, "asterisk" },
        { Keysyms.plus, "plus" },
        { Keysyms.comma, "comma" },
        { Keysyms.minus, "minus" },
        { Keysyms.period, "period" },
        { Keysyms.slash, "slash" },
        { Keysyms.@0, "@0" },
        { Keysyms.@1, "@1" },
        { Keysyms.@2, "@2" },
        { Keysyms.@3, "@3" },
        { Keysyms.@4, "@4" },
        { Keysyms.@5, "@5" },
        { Keysyms.@6, "@6" },
        { Keysyms.@7, "@7" },
        { Keysyms.@8, "@8" },
        { Keysyms.@9, "@9" },
        { Keysyms.colon, "colon" },
        { Keysyms.semicolon, "semicolon" },
        { Keysyms.less, "less" },
        { Keysyms.equal, "equal" },
        { Keysyms.greater, "greater" },
        { Keysyms.question, "question" },
        { Keysyms.at, "at" },
        { Keysyms.A, "A" },
        { Keysyms.B, "B" },
        { Keysyms.C, "C" },
        { Keysyms.D, "D" },
        { Keysyms.E, "E" },
        { Keysyms.F, "F" },
        { Keysyms.G, "G" },
        { Keysyms.H, "H" },
        { Keysyms.I, "I" },
        { Keysyms.J, "J" },
        { Keysyms.K, "K" },
        { Keysyms.L, "L" },
        { Keysyms.M, "M" },
        { Keysyms.N, "N" },
        { Keysyms.O, "O" },
        { Keysyms.P, "P" },
        { Keysyms.Q, "Q" },
        { Keysyms.R, "R" },
        { Keysyms.S, "S" },
        { Keysyms.T, "T" },
        { Keysyms.U, "U" },
        { Keysyms.V, "V" },
        { Keysyms.W, "W" },
        { Keysyms.X, "X" },
        { Keysyms.Y, "Y" },
        { Keysyms.Z, "Z" },
        { Keysyms.bracketleft, "bracketleft" },
        { Keysyms.backslash, "backslash" },
        { Keysyms.bracketright, "bracketright" },
        { Keysyms.asciicircum, "asciicircum" },
        { Keysyms.underscore, "underscore" },
        { Keysyms.grave, "grave" },
        { Keysyms.quoteleft, "quoteleft" },
        { Keysyms.a, "a" },
        { Keysyms.b, "b" },
        { Keysyms.c, "c" },
        { Keysyms.d, "d" },
        { Keysyms.e, "e" },
        { Keysyms.f, "f" },
        { Keysyms.g, "g" },
        { Keysyms.h, "h" },
        { Keysyms.i, "i" },
        { Keysyms.j, "j" },
        { Keysyms.k, "k" },
        { Keysyms.l, "l" },
        { Keysyms.m, "m" },
        { Keysyms.n, "n" },
        { Keysyms.o, "o" },
        { Keysyms.p, "p" },
        { Keysyms.q, "q" },
        { Keysyms.r, "r" },
        { Keysyms.s, "s" },
        { Keysyms.t, "t" },
        { Keysyms.u, "u" },
        { Keysyms.v, "v" },
        { Keysyms.w, "w" },
        { Keysyms.x, "x" },
        { Keysyms.y, "y" },
        { Keysyms.z, "z" },
        { Keysyms.braceleft, "braceleft" },
        { Keysyms.bar, "bar" },
        { Keysyms.braceright, "braceright" },
        { Keysyms.asciitilde, "asciitilde" },
        { Keysyms.nobreakspace, "nobreakspace" },
        { Keysyms.exclamdown, "exclamdown" },
        { Keysyms.cent, "cent" },
        { Keysyms.sterling, "sterling" },
        { Keysyms.currency, "currency" },
        { Keysyms.yen, "yen" },
        { Keysyms.brokenbar, "brokenbar" },
        { Keysyms.section, "section" },
        { Keysyms.diaeresis, "diaeresis" },
        { Keysyms.copyright, "copyright" },
        { Keysyms.ordfeminine, "ordfeminine" },
        { Keysyms.guillemotleft, "guillemotleft" },
        { Keysyms.notsign, "notsign" },
        { Keysyms.hyphen, "hyphen" },
        { Keysyms.registered, "registered" },
        { Keysyms.macron, "macron" },
        { Keysyms.degree, "degree" },
        { Keysyms.plusminus, "plusminus" },
        { Keysyms.twosuperior, "twosuperior" },
        { Keysyms.threesuperior, "threesuperior" },
        { Keysyms.acute, "acute" },
        { Keysyms.mu, "mu" },
        { Keysyms.paragraph, "paragraph" },
        { Keysyms.periodcentered, "periodcentered" },
        { Keysyms.cedilla, "cedilla" },
        { Keysyms.onesuperior, "onesuperior" },
        { Keysyms.masculine, "masculine" },
        { Keysyms.guillemotright, "guillemotright" },
        { Keysyms.onequarter, "onequarter" },
        { Keysyms.onehalf, "onehalf" },
        { Keysyms.threequarters, "threequarters" },
        { Keysyms.questiondown, "questiondown" },
        { Keysyms.Agrave, "Agrave" },
        { Keysyms.Aacute, "Aacute" },
        { Keysyms.Acircumflex, "Acircumflex" },
        { Keysyms.Atilde, "Atilde" },
        { Keysyms.Adiaeresis, "Adiaeresis" },
        { Keysyms.Aring, "Aring" },
        { Keysyms.AE, "AE" },
        { Keysyms.Ccedilla, "Ccedilla" },
        { Keysyms.Egrave, "Egrave" },
        { Keysyms.Eacute, "Eacute" },
        { Keysyms.Ecircumflex, "Ecircumflex" },
        { Keysyms.Ediaeresis, "Ediaeresis" },
        { Keysyms.Igrave, "Igrave" },
        { Keysyms.Iacute, "Iacute" },
        { Keysyms.Icircumflex, "Icircumflex" },
        { Keysyms.Idiaeresis, "Idiaeresis" },
        { Keysyms.ETH, "ETH" },
        { Keysyms.Eth, "Eth" },
        { Keysyms.Ntilde, "Ntilde" },
        { Keysyms.Ograve, "Ograve" },
        { Keysyms.Oacute, "Oacute" },
        { Keysyms.Ocircumflex, "Ocircumflex" },
        { Keysyms.Otilde, "Otilde" },
        { Keysyms.Odiaeresis, "Odiaeresis" },
        { Keysyms.multiply, "multiply" },
        { Keysyms.Oslash, "Oslash" },
        { Keysyms.Ooblique, "Ooblique" },
        { Keysyms.Ugrave, "Ugrave" },
        { Keysyms.Uacute, "Uacute" },
        { Keysyms.Ucircumflex, "Ucircumflex" },
        { Keysyms.Udiaeresis, "Udiaeresis" },
        { Keysyms.Yacute, "Yacute" },
        { Keysyms.THORN, "THORN" },
        { Keysyms.Thorn, "Thorn" },
        { Keysyms.ssharp, "ssharp" },
        { Keysyms.agrave, "agrave" },
        { Keysyms.aacute, "aacute" },
        { Keysyms.acircumflex, "acircumflex" },
        { Keysyms.atilde, "atilde" },
        { Keysyms.adiaeresis, "adiaeresis" },
        { Keysyms.aring, "aring" },
        { Keysyms.ae, "ae" },
        { Keysyms.ccedilla, "ccedilla" },
        { Keysyms.egrave, "egrave" },
        { Keysyms.eacute, "eacute" },
        { Keysyms.ecircumflex, "ecircumflex" },
        { Keysyms.ediaeresis, "ediaeresis" },
        { Keysyms.igrave, "igrave" },
        { Keysyms.iacute, "iacute" },
        { Keysyms.icircumflex, "icircumflex" },
        { Keysyms.idiaeresis, "idiaeresis" },
        { Keysyms.eth, "eth" },
        { Keysyms.ntilde, "ntilde" },
        { Keysyms.ograve, "ograve" },
        { Keysyms.oacute, "oacute" },
        { Keysyms.ocircumflex, "ocircumflex" },
        { Keysyms.otilde, "otilde" },
        { Keysyms.odiaeresis, "odiaeresis" },
        { Keysyms.division, "division" },
        { Keysyms.oslash, "oslash" },
        { Keysyms.ooblique, "ooblique" },
        { Keysyms.ugrave, "ugrave" },
        { Keysyms.uacute, "uacute" },
        { Keysyms.ucircumflex, "ucircumflex" },
        { Keysyms.udiaeresis, "udiaeresis" },
        { Keysyms.yacute, "yacute" },
        { Keysyms.thorn, "thorn" },
        { Keysyms.ydiaeresis, "ydiaeresis" },
        { Keysyms.Aogonek, "Aogonek" },
        { Keysyms.breve, "breve" },
        { Keysyms.Lstroke, "Lstroke" },
        { Keysyms.Lcaron, "Lcaron" },
        { Keysyms.Sacute, "Sacute" },
        { Keysyms.Scaron, "Scaron" },
        { Keysyms.Scedilla, "Scedilla" },
        { Keysyms.Tcaron, "Tcaron" },
        { Keysyms.Zacute, "Zacute" },
        { Keysyms.Zcaron, "Zcaron" },
        { Keysyms.Zabovedot, "Zabovedot" },
        { Keysyms.aogonek, "aogonek" },
        { Keysyms.ogonek, "ogonek" },
        { Keysyms.lstroke, "lstroke" },
        { Keysyms.lcaron, "lcaron" },
        { Keysyms.sacute, "sacute" },
        { Keysyms.caron, "caron" },
        { Keysyms.scaron, "scaron" },
        { Keysyms.scedilla, "scedilla" },
        { Keysyms.tcaron, "tcaron" },
        { Keysyms.zacute, "zacute" },
        { Keysyms.doubleacute, "doubleacute" },
        { Keysyms.zcaron, "zcaron" },
        { Keysyms.zabovedot, "zabovedot" },
        { Keysyms.Racute, "Racute" },
        { Keysyms.Abreve, "Abreve" },
        { Keysyms.Lacute, "Lacute" },
        { Keysyms.Cacute, "Cacute" },
        { Keysyms.Ccaron, "Ccaron" },
        { Keysyms.Eogonek, "Eogonek" },
        { Keysyms.Ecaron, "Ecaron" },
        { Keysyms.Dcaron, "Dcaron" },
        { Keysyms.Dstroke, "Dstroke" },
        { Keysyms.Nacute, "Nacute" },
        { Keysyms.Ncaron, "Ncaron" },
        { Keysyms.Odoubleacute, "Odoubleacute" },
        { Keysyms.Rcaron, "Rcaron" },
        { Keysyms.Uring, "Uring" },
        { Keysyms.Udoubleacute, "Udoubleacute" },
        { Keysyms.Tcedilla, "Tcedilla" },
        { Keysyms.racute, "racute" },
        { Keysyms.abreve, "abreve" },
        { Keysyms.lacute, "lacute" },
        { Keysyms.cacute, "cacute" },
        { Keysyms.ccaron, "ccaron" },
        { Keysyms.eogonek, "eogonek" },
        { Keysyms.ecaron, "ecaron" },
        { Keysyms.dcaron, "dcaron" },
        { Keysyms.dstroke, "dstroke" },
        { Keysyms.nacute, "nacute" },
        { Keysyms.ncaron, "ncaron" },
        { Keysyms.odoubleacute, "odoubleacute" },
        { Keysyms.rcaron, "rcaron" },
        { Keysyms.uring, "uring" },
        { Keysyms.udoubleacute, "udoubleacute" },
        { Keysyms.tcedilla, "tcedilla" },
        { Keysyms.abovedot, "abovedot" },
        { Keysyms.Hstroke, "Hstroke" },
        { Keysyms.Hcircumflex, "Hcircumflex" },
        { Keysyms.Iabovedot, "Iabovedot" },
        { Keysyms.Gbreve, "Gbreve" },
        { Keysyms.Jcircumflex, "Jcircumflex" },
        { Keysyms.hstroke, "hstroke" },
        { Keysyms.hcircumflex, "hcircumflex" },
        { Keysyms.idotless, "idotless" },
        { Keysyms.gbreve, "gbreve" },
        { Keysyms.jcircumflex, "jcircumflex" },
        { Keysyms.Cabovedot, "Cabovedot" },
        { Keysyms.Ccircumflex, "Ccircumflex" },
        { Keysyms.Gabovedot, "Gabovedot" },
        { Keysyms.Gcircumflex, "Gcircumflex" },
        { Keysyms.Ubreve, "Ubreve" },
        { Keysyms.Scircumflex, "Scircumflex" },
        { Keysyms.cabovedot, "cabovedot" },
        { Keysyms.ccircumflex, "ccircumflex" },
        { Keysyms.gabovedot, "gabovedot" },
        { Keysyms.gcircumflex, "gcircumflex" },
        { Keysyms.ubreve, "ubreve" },
        { Keysyms.scircumflex, "scircumflex" },
        { Keysyms.kra, "kra" },
        { Keysyms.kappa, "kappa" },
        { Keysyms.Rcedilla, "Rcedilla" },
        { Keysyms.Itilde, "Itilde" },
        { Keysyms.Lcedilla, "Lcedilla" },
        { Keysyms.Emacron, "Emacron" },
        { Keysyms.Gcedilla, "Gcedilla" },
        { Keysyms.Tslash, "Tslash" },
        { Keysyms.rcedilla, "rcedilla" },
        { Keysyms.itilde, "itilde" },
        { Keysyms.lcedilla, "lcedilla" },
        { Keysyms.emacron, "emacron" },
        { Keysyms.gcedilla, "gcedilla" },
        { Keysyms.tslash, "tslash" },
        { Keysyms.ENG, "ENG" },
        { Keysyms.eng, "eng" },
        { Keysyms.Amacron, "Amacron" },
        { Keysyms.Iogonek, "Iogonek" },
        { Keysyms.Eabovedot, "Eabovedot" },
        { Keysyms.Imacron, "Imacron" },
        { Keysyms.Ncedilla, "Ncedilla" },
        { Keysyms.Omacron, "Omacron" },
        { Keysyms.Kcedilla, "Kcedilla" },
        { Keysyms.Uogonek, "Uogonek" },
        { Keysyms.Utilde, "Utilde" },
        { Keysyms.Umacron, "Umacron" },
        { Keysyms.amacron, "amacron" },
        { Keysyms.iogonek, "iogonek" },
        { Keysyms.eabovedot, "eabovedot" },
        { Keysyms.imacron, "imacron" },
        { Keysyms.ncedilla, "ncedilla" },
        { Keysyms.omacron, "omacron" },
        { Keysyms.kcedilla, "kcedilla" },
        { Keysyms.uogonek, "uogonek" },
        { Keysyms.utilde, "utilde" },
        { Keysyms.umacron, "umacron" },
        { Keysyms.Wcircumflex, "Wcircumflex" },
        { Keysyms.wcircumflex, "wcircumflex" },
        { Keysyms.Ycircumflex, "Ycircumflex" },
        { Keysyms.ycircumflex, "ycircumflex" },
        { Keysyms.Babovedot, "Babovedot" },
        { Keysyms.babovedot, "babovedot" },
        { Keysyms.Dabovedot, "Dabovedot" },
        { Keysyms.dabovedot, "dabovedot" },
        { Keysyms.Fabovedot, "Fabovedot" },
        { Keysyms.fabovedot, "fabovedot" },
        { Keysyms.Mabovedot, "Mabovedot" },
        { Keysyms.mabovedot, "mabovedot" },
        { Keysyms.Pabovedot, "Pabovedot" },
        { Keysyms.pabovedot, "pabovedot" },
        { Keysyms.Sabovedot, "Sabovedot" },
        { Keysyms.sabovedot, "sabovedot" },
        { Keysyms.Tabovedot, "Tabovedot" },
        { Keysyms.tabovedot, "tabovedot" },
        { Keysyms.Wgrave, "Wgrave" },
        { Keysyms.wgrave, "wgrave" },
        { Keysyms.Wacute, "Wacute" },
        { Keysyms.wacute, "wacute" },
        { Keysyms.Wdiaeresis, "Wdiaeresis" },
        { Keysyms.wdiaeresis, "wdiaeresis" },
        { Keysyms.Ygrave, "Ygrave" },
        { Keysyms.ygrave, "ygrave" },
        { Keysyms.OE, "OE" },
        { Keysyms.oe, "oe" },
        { Keysyms.Ydiaeresis, "Ydiaeresis" },
        { Keysyms.overline, "overline" },
        { Keysyms.kana_fullstop, "kana_fullstop" },
        { Keysyms.kana_openingbracket, "kana_openingbracket" },
        { Keysyms.kana_closingbracket, "kana_closingbracket" },
        { Keysyms.kana_comma, "kana_comma" },
        { Keysyms.kana_conjunctive, "kana_conjunctive" },
        { Keysyms.kana_middledot, "kana_middledot" },
        { Keysyms.kana_WO, "kana_WO" },
        { Keysyms.kana_a, "kana_a" },
        { Keysyms.kana_i, "kana_i" },
        { Keysyms.kana_u, "kana_u" },
        { Keysyms.kana_e, "kana_e" },
        { Keysyms.kana_o, "kana_o" },
        { Keysyms.kana_ya, "kana_ya" },
        { Keysyms.kana_yu, "kana_yu" },
        { Keysyms.kana_yo, "kana_yo" },
        { Keysyms.kana_tsu, "kana_tsu" },
        { Keysyms.kana_tu, "kana_tu" },
        { Keysyms.prolongedsound, "prolongedsound" },
        { Keysyms.kana_A, "kana_A" },
        { Keysyms.kana_I, "kana_I" },
        { Keysyms.kana_U, "kana_U" },
        { Keysyms.kana_E, "kana_E" },
        { Keysyms.kana_O, "kana_O" },
        { Keysyms.kana_KA, "kana_KA" },
        { Keysyms.kana_KI, "kana_KI" },
        { Keysyms.kana_KU, "kana_KU" },
        { Keysyms.kana_KE, "kana_KE" },
        { Keysyms.kana_KO, "kana_KO" },
        { Keysyms.kana_SA, "kana_SA" },
        { Keysyms.kana_SHI, "kana_SHI" },
        { Keysyms.kana_SU, "kana_SU" },
        { Keysyms.kana_SE, "kana_SE" },
        { Keysyms.kana_SO, "kana_SO" },
        { Keysyms.kana_TA, "kana_TA" },
        { Keysyms.kana_CHI, "kana_CHI" },
        { Keysyms.kana_TI, "kana_TI" },
        { Keysyms.kana_TSU, "kana_TSU" },
        { Keysyms.kana_TU, "kana_TU" },
        { Keysyms.kana_TE, "kana_TE" },
        { Keysyms.kana_TO, "kana_TO" },
        { Keysyms.kana_NA, "kana_NA" },
        { Keysyms.kana_NI, "kana_NI" },
        { Keysyms.kana_NU, "kana_NU" },
        { Keysyms.kana_NE, "kana_NE" },
        { Keysyms.kana_NO, "kana_NO" },
        { Keysyms.kana_HA, "kana_HA" },
        { Keysyms.kana_HI, "kana_HI" },
        { Keysyms.kana_FU, "kana_FU" },
        { Keysyms.kana_HU, "kana_HU" },
        { Keysyms.kana_HE, "kana_HE" },
        { Keysyms.kana_HO, "kana_HO" },
        { Keysyms.kana_MA, "kana_MA" },
        { Keysyms.kana_MI, "kana_MI" },
        { Keysyms.kana_MU, "kana_MU" },
        { Keysyms.kana_ME, "kana_ME" },
        { Keysyms.kana_MO, "kana_MO" },
        { Keysyms.kana_YA, "kana_YA" },
        { Keysyms.kana_YU, "kana_YU" },
        { Keysyms.kana_YO, "kana_YO" },
        { Keysyms.kana_RA, "kana_RA" },
        { Keysyms.kana_RI, "kana_RI" },
        { Keysyms.kana_RU, "kana_RU" },
        { Keysyms.kana_RE, "kana_RE" },
        { Keysyms.kana_RO, "kana_RO" },
        { Keysyms.kana_WA, "kana_WA" },
        { Keysyms.kana_N, "kana_N" },
        { Keysyms.voicedsound, "voicedsound" },
        { Keysyms.semivoicedsound, "semivoicedsound" },
        { Keysyms.kana_switch, "kana_switch" },
        { Keysyms.Farsi_0, "Farsi_0" },
        { Keysyms.Farsi_1, "Farsi_1" },
        { Keysyms.Farsi_2, "Farsi_2" },
        { Keysyms.Farsi_3, "Farsi_3" },
        { Keysyms.Farsi_4, "Farsi_4" },
        { Keysyms.Farsi_5, "Farsi_5" },
        { Keysyms.Farsi_6, "Farsi_6" },
        { Keysyms.Farsi_7, "Farsi_7" },
        { Keysyms.Farsi_8, "Farsi_8" },
        { Keysyms.Farsi_9, "Farsi_9" },
        { Keysyms.Arabic_percent, "Arabic_percent" },
        { Keysyms.Arabic_superscript_alef, "Arabic_superscript_alef" },
        { Keysyms.Arabic_tteh, "Arabic_tteh" },
        { Keysyms.Arabic_peh, "Arabic_peh" },
        { Keysyms.Arabic_tcheh, "Arabic_tcheh" },
        { Keysyms.Arabic_ddal, "Arabic_ddal" },
        { Keysyms.Arabic_rreh, "Arabic_rreh" },
        { Keysyms.Arabic_comma, "Arabic_comma" },
        { Keysyms.Arabic_fullstop, "Arabic_fullstop" },
        { Keysyms.Arabic_0, "Arabic_0" },
        { Keysyms.Arabic_1, "Arabic_1" },
        { Keysyms.Arabic_2, "Arabic_2" },
        { Keysyms.Arabic_3, "Arabic_3" },
        { Keysyms.Arabic_4, "Arabic_4" },
        { Keysyms.Arabic_5, "Arabic_5" },
        { Keysyms.Arabic_6, "Arabic_6" },
        { Keysyms.Arabic_7, "Arabic_7" },
        { Keysyms.Arabic_8, "Arabic_8" },
        { Keysyms.Arabic_9, "Arabic_9" },
        { Keysyms.Arabic_semicolon, "Arabic_semicolon" },
        { Keysyms.Arabic_question_mark, "Arabic_question_mark" },
        { Keysyms.Arabic_hamza, "Arabic_hamza" },
        { Keysyms.Arabic_maddaonalef, "Arabic_maddaonalef" },
        { Keysyms.Arabic_hamzaonalef, "Arabic_hamzaonalef" },
        { Keysyms.Arabic_hamzaonwaw, "Arabic_hamzaonwaw" },
        { Keysyms.Arabic_hamzaunderalef, "Arabic_hamzaunderalef" },
        { Keysyms.Arabic_hamzaonyeh, "Arabic_hamzaonyeh" },
        { Keysyms.Arabic_alef, "Arabic_alef" },
        { Keysyms.Arabic_beh, "Arabic_beh" },
        { Keysyms.Arabic_tehmarbuta, "Arabic_tehmarbuta" },
        { Keysyms.Arabic_teh, "Arabic_teh" },
        { Keysyms.Arabic_theh, "Arabic_theh" },
        { Keysyms.Arabic_jeem, "Arabic_jeem" },
        { Keysyms.Arabic_hah, "Arabic_hah" },
        { Keysyms.Arabic_khah, "Arabic_khah" },
        { Keysyms.Arabic_dal, "Arabic_dal" },
        { Keysyms.Arabic_thal, "Arabic_thal" },
        { Keysyms.Arabic_ra, "Arabic_ra" },
        { Keysyms.Arabic_zain, "Arabic_zain" },
        { Keysyms.Arabic_seen, "Arabic_seen" },
        { Keysyms.Arabic_sheen, "Arabic_sheen" },
        { Keysyms.Arabic_sad, "Arabic_sad" },
        { Keysyms.Arabic_dad, "Arabic_dad" },
        { Keysyms.Arabic_tah, "Arabic_tah" },
        { Keysyms.Arabic_zah, "Arabic_zah" },
        { Keysyms.Arabic_ain, "Arabic_ain" },
        { Keysyms.Arabic_ghain, "Arabic_ghain" },
        { Keysyms.Arabic_tatweel, "Arabic_tatweel" },
        { Keysyms.Arabic_feh, "Arabic_feh" },
        { Keysyms.Arabic_qaf, "Arabic_qaf" },
        { Keysyms.Arabic_kaf, "Arabic_kaf" },
        { Keysyms.Arabic_lam, "Arabic_lam" },
        { Keysyms.Arabic_meem, "Arabic_meem" },
        { Keysyms.Arabic_noon, "Arabic_noon" },
        { Keysyms.Arabic_ha, "Arabic_ha" },
        { Keysyms.Arabic_heh, "Arabic_heh" },
        { Keysyms.Arabic_waw, "Arabic_waw" },
        { Keysyms.Arabic_alefmaksura, "Arabic_alefmaksura" },
        { Keysyms.Arabic_yeh, "Arabic_yeh" },
        { Keysyms.Arabic_fathatan, "Arabic_fathatan" },
        { Keysyms.Arabic_dammatan, "Arabic_dammatan" },
        { Keysyms.Arabic_kasratan, "Arabic_kasratan" },
        { Keysyms.Arabic_fatha, "Arabic_fatha" },
        { Keysyms.Arabic_damma, "Arabic_damma" },
        { Keysyms.Arabic_kasra, "Arabic_kasra" },
        { Keysyms.Arabic_shadda, "Arabic_shadda" },
        { Keysyms.Arabic_sukun, "Arabic_sukun" },
        { Keysyms.Arabic_madda_above, "Arabic_madda_above" },
        { Keysyms.Arabic_hamza_above, "Arabic_hamza_above" },
        { Keysyms.Arabic_hamza_below, "Arabic_hamza_below" },
        { Keysyms.Arabic_jeh, "Arabic_jeh" },
        { Keysyms.Arabic_veh, "Arabic_veh" },
        { Keysyms.Arabic_keheh, "Arabic_keheh" },
        { Keysyms.Arabic_gaf, "Arabic_gaf" },
        { Keysyms.Arabic_noon_ghunna, "Arabic_noon_ghunna" },
        { Keysyms.Arabic_heh_doachashmee, "Arabic_heh_doachashmee" },
        { Keysyms.Farsi_yeh, "Farsi_yeh" },
        { Keysyms.Arabic_farsi_yeh, "Arabic_farsi_yeh" },
        { Keysyms.Arabic_yeh_baree, "Arabic_yeh_baree" },
        { Keysyms.Arabic_heh_goal, "Arabic_heh_goal" },
        { Keysyms.Arabic_switch, "Arabic_switch" },
        { Keysyms.Cyrillic_GHE_bar, "Cyrillic_GHE_bar" },
        { Keysyms.Cyrillic_ghe_bar, "Cyrillic_ghe_bar" },
        { Keysyms.Cyrillic_ZHE_descender, "Cyrillic_ZHE_descender" },
        { Keysyms.Cyrillic_zhe_descender, "Cyrillic_zhe_descender" },
        { Keysyms.Cyrillic_KA_descender, "Cyrillic_KA_descender" },
        { Keysyms.Cyrillic_ka_descender, "Cyrillic_ka_descender" },
        { Keysyms.Cyrillic_KA_vertstroke, "Cyrillic_KA_vertstroke" },
        { Keysyms.Cyrillic_ka_vertstroke, "Cyrillic_ka_vertstroke" },
        { Keysyms.Cyrillic_EN_descender, "Cyrillic_EN_descender" },
        { Keysyms.Cyrillic_en_descender, "Cyrillic_en_descender" },
        { Keysyms.Cyrillic_U_straight, "Cyrillic_U_straight" },
        { Keysyms.Cyrillic_u_straight, "Cyrillic_u_straight" },
        { Keysyms.Cyrillic_U_straight_bar, "Cyrillic_U_straight_bar" },
        { Keysyms.Cyrillic_u_straight_bar, "Cyrillic_u_straight_bar" },
        { Keysyms.Cyrillic_HA_descender, "Cyrillic_HA_descender" },
        { Keysyms.Cyrillic_ha_descender, "Cyrillic_ha_descender" },
        { Keysyms.Cyrillic_CHE_descender, "Cyrillic_CHE_descender" },
        { Keysyms.Cyrillic_che_descender, "Cyrillic_che_descender" },
        { Keysyms.Cyrillic_CHE_vertstroke, "Cyrillic_CHE_vertstroke" },
        { Keysyms.Cyrillic_che_vertstroke, "Cyrillic_che_vertstroke" },
        { Keysyms.Cyrillic_SHHA, "Cyrillic_SHHA" },
        { Keysyms.Cyrillic_shha, "Cyrillic_shha" },
        { Keysyms.Cyrillic_SCHWA, "Cyrillic_SCHWA" },
        { Keysyms.Cyrillic_schwa, "Cyrillic_schwa" },
        { Keysyms.Cyrillic_I_macron, "Cyrillic_I_macron" },
        { Keysyms.Cyrillic_i_macron, "Cyrillic_i_macron" },
        { Keysyms.Cyrillic_O_bar, "Cyrillic_O_bar" },
        { Keysyms.Cyrillic_o_bar, "Cyrillic_o_bar" },
        { Keysyms.Cyrillic_U_macron, "Cyrillic_U_macron" },
        { Keysyms.Cyrillic_u_macron, "Cyrillic_u_macron" },
        { Keysyms.Serbian_dje, "Serbian_dje" },
        { Keysyms.Macedonia_gje, "Macedonia_gje" },
        { Keysyms.Cyrillic_io, "Cyrillic_io" },
        { Keysyms.Ukrainian_ie, "Ukrainian_ie" },
        { Keysyms.Ukranian_je, "Ukranian_je" },
        { Keysyms.Macedonia_dse, "Macedonia_dse" },
        { Keysyms.Ukrainian_i, "Ukrainian_i" },
        { Keysyms.Ukranian_i, "Ukranian_i" },
        { Keysyms.Ukrainian_yi, "Ukrainian_yi" },
        { Keysyms.Ukranian_yi, "Ukranian_yi" },
        { Keysyms.Cyrillic_je, "Cyrillic_je" },
        { Keysyms.Serbian_je, "Serbian_je" },
        { Keysyms.Cyrillic_lje, "Cyrillic_lje" },
        { Keysyms.Serbian_lje, "Serbian_lje" },
        { Keysyms.Cyrillic_nje, "Cyrillic_nje" },
        { Keysyms.Serbian_nje, "Serbian_nje" },
        { Keysyms.Serbian_tshe, "Serbian_tshe" },
        { Keysyms.Macedonia_kje, "Macedonia_kje" },
        { Keysyms.Ukrainian_ghe_with_upturn, "Ukrainian_ghe_with_upturn" },
        { Keysyms.Byelorussian_shortu, "Byelorussian_shortu" },
        { Keysyms.Cyrillic_dzhe, "Cyrillic_dzhe" },
        { Keysyms.Serbian_dze, "Serbian_dze" },
        { Keysyms.numerosign, "numerosign" },
        { Keysyms.Serbian_DJE, "Serbian_DJE" },
        { Keysyms.Macedonia_GJE, "Macedonia_GJE" },
        { Keysyms.Cyrillic_IO, "Cyrillic_IO" },
        { Keysyms.Ukrainian_IE, "Ukrainian_IE" },
        { Keysyms.Ukranian_JE, "Ukranian_JE" },
        { Keysyms.Macedonia_DSE, "Macedonia_DSE" },
        { Keysyms.Ukrainian_I, "Ukrainian_I" },
        { Keysyms.Ukranian_I, "Ukranian_I" },
        { Keysyms.Ukrainian_YI, "Ukrainian_YI" },
        { Keysyms.Ukranian_YI, "Ukranian_YI" },
        { Keysyms.Cyrillic_JE, "Cyrillic_JE" },
        { Keysyms.Serbian_JE, "Serbian_JE" },
        { Keysyms.Cyrillic_LJE, "Cyrillic_LJE" },
        { Keysyms.Serbian_LJE, "Serbian_LJE" },
        { Keysyms.Cyrillic_NJE, "Cyrillic_NJE" },
        { Keysyms.Serbian_NJE, "Serbian_NJE" },
        { Keysyms.Serbian_TSHE, "Serbian_TSHE" },
        { Keysyms.Macedonia_KJE, "Macedonia_KJE" },
        { Keysyms.Ukrainian_GHE_WITH_UPTURN, "Ukrainian_GHE_WITH_UPTURN" },
        { Keysyms.Byelorussian_SHORTU, "Byelorussian_SHORTU" },
        { Keysyms.Cyrillic_DZHE, "Cyrillic_DZHE" },
        { Keysyms.Serbian_DZE, "Serbian_DZE" },
        { Keysyms.Cyrillic_yu, "Cyrillic_yu" },
        { Keysyms.Cyrillic_a, "Cyrillic_a" },
        { Keysyms.Cyrillic_be, "Cyrillic_be" },
        { Keysyms.Cyrillic_tse, "Cyrillic_tse" },
        { Keysyms.Cyrillic_de, "Cyrillic_de" },
        { Keysyms.Cyrillic_ie, "Cyrillic_ie" },
        { Keysyms.Cyrillic_ef, "Cyrillic_ef" },
        { Keysyms.Cyrillic_ghe, "Cyrillic_ghe" },
        { Keysyms.Cyrillic_ha, "Cyrillic_ha" },
        { Keysyms.Cyrillic_i, "Cyrillic_i" },
        { Keysyms.Cyrillic_shorti, "Cyrillic_shorti" },
        { Keysyms.Cyrillic_ka, "Cyrillic_ka" },
        { Keysyms.Cyrillic_el, "Cyrillic_el" },
        { Keysyms.Cyrillic_em, "Cyrillic_em" },
        { Keysyms.Cyrillic_en, "Cyrillic_en" },
        { Keysyms.Cyrillic_o, "Cyrillic_o" },
        { Keysyms.Cyrillic_pe, "Cyrillic_pe" },
        { Keysyms.Cyrillic_ya, "Cyrillic_ya" },
        { Keysyms.Cyrillic_er, "Cyrillic_er" },
        { Keysyms.Cyrillic_es, "Cyrillic_es" },
        { Keysyms.Cyrillic_te, "Cyrillic_te" },
        { Keysyms.Cyrillic_u, "Cyrillic_u" },
        { Keysyms.Cyrillic_zhe, "Cyrillic_zhe" },
        { Keysyms.Cyrillic_ve, "Cyrillic_ve" },
        { Keysyms.Cyrillic_softsign, "Cyrillic_softsign" },
        { Keysyms.Cyrillic_yeru, "Cyrillic_yeru" },
        { Keysyms.Cyrillic_ze, "Cyrillic_ze" },
        { Keysyms.Cyrillic_sha, "Cyrillic_sha" },
        { Keysyms.Cyrillic_e, "Cyrillic_e" },
        { Keysyms.Cyrillic_shcha, "Cyrillic_shcha" },
        { Keysyms.Cyrillic_che, "Cyrillic_che" },
        { Keysyms.Cyrillic_hardsign, "Cyrillic_hardsign" },
        { Keysyms.Cyrillic_YU, "Cyrillic_YU" },
        { Keysyms.Cyrillic_A, "Cyrillic_A" },
        { Keysyms.Cyrillic_BE, "Cyrillic_BE" },
        { Keysyms.Cyrillic_TSE, "Cyrillic_TSE" },
        { Keysyms.Cyrillic_DE, "Cyrillic_DE" },
        { Keysyms.Cyrillic_IE, "Cyrillic_IE" },
        { Keysyms.Cyrillic_EF, "Cyrillic_EF" },
        { Keysyms.Cyrillic_GHE, "Cyrillic_GHE" },
        { Keysyms.Cyrillic_HA, "Cyrillic_HA" },
        { Keysyms.Cyrillic_I, "Cyrillic_I" },
        { Keysyms.Cyrillic_SHORTI, "Cyrillic_SHORTI" },
        { Keysyms.Cyrillic_KA, "Cyrillic_KA" },
        { Keysyms.Cyrillic_EL, "Cyrillic_EL" },
        { Keysyms.Cyrillic_EM, "Cyrillic_EM" },
        { Keysyms.Cyrillic_EN, "Cyrillic_EN" },
        { Keysyms.Cyrillic_O, "Cyrillic_O" },
        { Keysyms.Cyrillic_PE, "Cyrillic_PE" },
        { Keysyms.Cyrillic_YA, "Cyrillic_YA" },
        { Keysyms.Cyrillic_ER, "Cyrillic_ER" },
        { Keysyms.Cyrillic_ES, "Cyrillic_ES" },
        { Keysyms.Cyrillic_TE, "Cyrillic_TE" },
        { Keysyms.Cyrillic_U, "Cyrillic_U" },
        { Keysyms.Cyrillic_ZHE, "Cyrillic_ZHE" },
        { Keysyms.Cyrillic_VE, "Cyrillic_VE" },
        { Keysyms.Cyrillic_SOFTSIGN, "Cyrillic_SOFTSIGN" },
        { Keysyms.Cyrillic_YERU, "Cyrillic_YERU" },
        { Keysyms.Cyrillic_ZE, "Cyrillic_ZE" },
        { Keysyms.Cyrillic_SHA, "Cyrillic_SHA" },
        { Keysyms.Cyrillic_E, "Cyrillic_E" },
        { Keysyms.Cyrillic_SHCHA, "Cyrillic_SHCHA" },
        { Keysyms.Cyrillic_CHE, "Cyrillic_CHE" },
        { Keysyms.Cyrillic_HARDSIGN, "Cyrillic_HARDSIGN" },
        { Keysyms.Greek_ALPHAaccent, "Greek_ALPHAaccent" },
        { Keysyms.Greek_EPSILONaccent, "Greek_EPSILONaccent" },
        { Keysyms.Greek_ETAaccent, "Greek_ETAaccent" },
        { Keysyms.Greek_IOTAaccent, "Greek_IOTAaccent" },
        { Keysyms.Greek_IOTAdieresis, "Greek_IOTAdieresis" },
        { Keysyms.Greek_IOTAdiaeresis, "Greek_IOTAdiaeresis" },
        { Keysyms.Greek_OMICRONaccent, "Greek_OMICRONaccent" },
        { Keysyms.Greek_UPSILONaccent, "Greek_UPSILONaccent" },
        { Keysyms.Greek_UPSILONdieresis, "Greek_UPSILONdieresis" },
        { Keysyms.Greek_OMEGAaccent, "Greek_OMEGAaccent" },
        { Keysyms.Greek_accentdieresis, "Greek_accentdieresis" },
        { Keysyms.Greek_horizbar, "Greek_horizbar" },
        { Keysyms.Greek_alphaaccent, "Greek_alphaaccent" },
        { Keysyms.Greek_epsilonaccent, "Greek_epsilonaccent" },
        { Keysyms.Greek_etaaccent, "Greek_etaaccent" },
        { Keysyms.Greek_iotaaccent, "Greek_iotaaccent" },
        { Keysyms.Greek_iotadieresis, "Greek_iotadieresis" },
        { Keysyms.Greek_iotaaccentdieresis, "Greek_iotaaccentdieresis" },
        { Keysyms.Greek_omicronaccent, "Greek_omicronaccent" },
        { Keysyms.Greek_upsilonaccent, "Greek_upsilonaccent" },
        { Keysyms.Greek_upsilondieresis, "Greek_upsilondieresis" },
        { Keysyms.Greek_upsilonaccentdieresis, "Greek_upsilonaccentdieresis" },
        { Keysyms.Greek_omegaaccent, "Greek_omegaaccent" },
        { Keysyms.Greek_ALPHA, "Greek_ALPHA" },
        { Keysyms.Greek_BETA, "Greek_BETA" },
        { Keysyms.Greek_GAMMA, "Greek_GAMMA" },
        { Keysyms.Greek_DELTA, "Greek_DELTA" },
        { Keysyms.Greek_EPSILON, "Greek_EPSILON" },
        { Keysyms.Greek_ZETA, "Greek_ZETA" },
        { Keysyms.Greek_ETA, "Greek_ETA" },
        { Keysyms.Greek_THETA, "Greek_THETA" },
        { Keysyms.Greek_IOTA, "Greek_IOTA" },
        { Keysyms.Greek_KAPPA, "Greek_KAPPA" },
        { Keysyms.Greek_LAMDA, "Greek_LAMDA" },
        { Keysyms.Greek_LAMBDA, "Greek_LAMBDA" },
        { Keysyms.Greek_MU, "Greek_MU" },
        { Keysyms.Greek_NU, "Greek_NU" },
        { Keysyms.Greek_XI, "Greek_XI" },
        { Keysyms.Greek_OMICRON, "Greek_OMICRON" },
        { Keysyms.Greek_PI, "Greek_PI" },
        { Keysyms.Greek_RHO, "Greek_RHO" },
        { Keysyms.Greek_SIGMA, "Greek_SIGMA" },
        { Keysyms.Greek_TAU, "Greek_TAU" },
        { Keysyms.Greek_UPSILON, "Greek_UPSILON" },
        { Keysyms.Greek_PHI, "Greek_PHI" },
        { Keysyms.Greek_CHI, "Greek_CHI" },
        { Keysyms.Greek_PSI, "Greek_PSI" },
        { Keysyms.Greek_OMEGA, "Greek_OMEGA" },
        { Keysyms.Greek_alpha, "Greek_alpha" },
        { Keysyms.Greek_beta, "Greek_beta" },
        { Keysyms.Greek_gamma, "Greek_gamma" },
        { Keysyms.Greek_delta, "Greek_delta" },
        { Keysyms.Greek_epsilon, "Greek_epsilon" },
        { Keysyms.Greek_zeta, "Greek_zeta" },
        { Keysyms.Greek_eta, "Greek_eta" },
        { Keysyms.Greek_theta, "Greek_theta" },
        { Keysyms.Greek_iota, "Greek_iota" },
        { Keysyms.Greek_kappa, "Greek_kappa" },
        { Keysyms.Greek_lamda, "Greek_lamda" },
        { Keysyms.Greek_lambda, "Greek_lambda" },
        { Keysyms.Greek_mu, "Greek_mu" },
        { Keysyms.Greek_nu, "Greek_nu" },
        { Keysyms.Greek_xi, "Greek_xi" },
        { Keysyms.Greek_omicron, "Greek_omicron" },
        { Keysyms.Greek_pi, "Greek_pi" },
        { Keysyms.Greek_rho, "Greek_rho" },
        { Keysyms.Greek_sigma, "Greek_sigma" },
        { Keysyms.Greek_finalsmallsigma, "Greek_finalsmallsigma" },
        { Keysyms.Greek_tau, "Greek_tau" },
        { Keysyms.Greek_upsilon, "Greek_upsilon" },
        { Keysyms.Greek_phi, "Greek_phi" },
        { Keysyms.Greek_chi, "Greek_chi" },
        { Keysyms.Greek_psi, "Greek_psi" },
        { Keysyms.Greek_omega, "Greek_omega" },
        { Keysyms.Greek_switch, "Greek_switch" },
        { Keysyms.leftradical, "leftradical" },
        { Keysyms.topleftradical, "topleftradical" },
        { Keysyms.horizconnector, "horizconnector" },
        { Keysyms.topintegral, "topintegral" },
        { Keysyms.botintegral, "botintegral" },
        { Keysyms.vertconnector, "vertconnector" },
        { Keysyms.topleftsqbracket, "topleftsqbracket" },
        { Keysyms.botleftsqbracket, "botleftsqbracket" },
        { Keysyms.toprightsqbracket, "toprightsqbracket" },
        { Keysyms.botrightsqbracket, "botrightsqbracket" },
        { Keysyms.topleftparens, "topleftparens" },
        { Keysyms.botleftparens, "botleftparens" },
        { Keysyms.toprightparens, "toprightparens" },
        { Keysyms.botrightparens, "botrightparens" },
        { Keysyms.leftmiddlecurlybrace, "leftmiddlecurlybrace" },
        { Keysyms.rightmiddlecurlybrace, "rightmiddlecurlybrace" },
        { Keysyms.topleftsummation, "topleftsummation" },
        { Keysyms.botleftsummation, "botleftsummation" },
        { Keysyms.topvertsummationconnector, "topvertsummationconnector" },
        { Keysyms.botvertsummationconnector, "botvertsummationconnector" },
        { Keysyms.toprightsummation, "toprightsummation" },
        { Keysyms.botrightsummation, "botrightsummation" },
        { Keysyms.rightmiddlesummation, "rightmiddlesummation" },
        { Keysyms.lessthanequal, "lessthanequal" },
        { Keysyms.notequal, "notequal" },
        { Keysyms.greaterthanequal, "greaterthanequal" },
        { Keysyms.integral, "integral" },
        { Keysyms.therefore, "therefore" },
        { Keysyms.variation, "variation" },
        { Keysyms.infinity, "infinity" },
        { Keysyms.nabla, "nabla" },
        { Keysyms.approximate, "approximate" },
        { Keysyms.similarequal, "similarequal" },
        { Keysyms.ifonlyif, "ifonlyif" },
        { Keysyms.implies, "implies" },
        { Keysyms.identical, "identical" },
        { Keysyms.radical, "radical" },
        { Keysyms.includedin, "includedin" },
        { Keysyms.includes, "includes" },
        { Keysyms.intersection, "intersection" },
        { Keysyms.union, "union" },
        { Keysyms.logicaland, "logicaland" },
        { Keysyms.logicalor, "logicalor" },
        { Keysyms.partialderivative, "partialderivative" },
        { Keysyms.function, "function" },
        { Keysyms.leftarrow, "leftarrow" },
        { Keysyms.uparrow, "uparrow" },
        { Keysyms.rightarrow, "rightarrow" },
        { Keysyms.downarrow, "downarrow" },
        { Keysyms.blank, "blank" },
        { Keysyms.soliddiamond, "soliddiamond" },
        { Keysyms.checkerboard, "checkerboard" },
        { Keysyms.ht, "ht" },
        { Keysyms.ff, "ff" },
        { Keysyms.cr, "cr" },
        { Keysyms.lf, "lf" },
        { Keysyms.nl, "nl" },
        { Keysyms.vt, "vt" },
        { Keysyms.lowrightcorner, "lowrightcorner" },
        { Keysyms.uprightcorner, "uprightcorner" },
        { Keysyms.upleftcorner, "upleftcorner" },
        { Keysyms.lowleftcorner, "lowleftcorner" },
        { Keysyms.crossinglines, "crossinglines" },
        { Keysyms.horizlinescan1, "horizlinescan1" },
        { Keysyms.horizlinescan3, "horizlinescan3" },
        { Keysyms.horizlinescan5, "horizlinescan5" },
        { Keysyms.horizlinescan7, "horizlinescan7" },
        { Keysyms.horizlinescan9, "horizlinescan9" },
        { Keysyms.leftt, "leftt" },
        { Keysyms.rightt, "rightt" },
        { Keysyms.bott, "bott" },
        { Keysyms.topt, "topt" },
        { Keysyms.vertbar, "vertbar" },
        { Keysyms.emspace, "emspace" },
        { Keysyms.enspace, "enspace" },
        { Keysyms.em3space, "em3space" },
        { Keysyms.em4space, "em4space" },
        { Keysyms.digitspace, "digitspace" },
        { Keysyms.punctspace, "punctspace" },
        { Keysyms.thinspace, "thinspace" },
        { Keysyms.hairspace, "hairspace" },
        { Keysyms.emdash, "emdash" },
        { Keysyms.endash, "endash" },
        { Keysyms.signifblank, "signifblank" },
        { Keysyms.ellipsis, "ellipsis" },
        { Keysyms.doubbaselinedot, "doubbaselinedot" },
        { Keysyms.onethird, "onethird" },
        { Keysyms.twothirds, "twothirds" },
        { Keysyms.onefifth, "onefifth" },
        { Keysyms.twofifths, "twofifths" },
        { Keysyms.threefifths, "threefifths" },
        { Keysyms.fourfifths, "fourfifths" },
        { Keysyms.onesixth, "onesixth" },
        { Keysyms.fivesixths, "fivesixths" },
        { Keysyms.careof, "careof" },
        { Keysyms.figdash, "figdash" },
        { Keysyms.leftanglebracket, "leftanglebracket" },
        { Keysyms.decimalpoint, "decimalpoint" },
        { Keysyms.rightanglebracket, "rightanglebracket" },
        { Keysyms.marker, "marker" },
        { Keysyms.oneeighth, "oneeighth" },
        { Keysyms.threeeighths, "threeeighths" },
        { Keysyms.fiveeighths, "fiveeighths" },
        { Keysyms.seveneighths, "seveneighths" },
        { Keysyms.trademark, "trademark" },
        { Keysyms.signaturemark, "signaturemark" },
        { Keysyms.trademarkincircle, "trademarkincircle" },
        { Keysyms.leftopentriangle, "leftopentriangle" },
        { Keysyms.rightopentriangle, "rightopentriangle" },
        { Keysyms.emopencircle, "emopencircle" },
        { Keysyms.emopenrectangle, "emopenrectangle" },
        { Keysyms.leftsinglequotemark, "leftsinglequotemark" },
        { Keysyms.rightsinglequotemark, "rightsinglequotemark" },
        { Keysyms.leftdoublequotemark, "leftdoublequotemark" },
        { Keysyms.rightdoublequotemark, "rightdoublequotemark" },
        { Keysyms.prescription, "prescription" },
        { Keysyms.minutes, "minutes" },
        { Keysyms.seconds, "seconds" },
        { Keysyms.latincross, "latincross" },
        { Keysyms.hexagram, "hexagram" },
        { Keysyms.filledrectbullet, "filledrectbullet" },
        { Keysyms.filledlefttribullet, "filledlefttribullet" },
        { Keysyms.filledrighttribullet, "filledrighttribullet" },
        { Keysyms.emfilledcircle, "emfilledcircle" },
        { Keysyms.emfilledrect, "emfilledrect" },
        { Keysyms.enopencircbullet, "enopencircbullet" },
        { Keysyms.enopensquarebullet, "enopensquarebullet" },
        { Keysyms.openrectbullet, "openrectbullet" },
        { Keysyms.opentribulletup, "opentribulletup" },
        { Keysyms.opentribulletdown, "opentribulletdown" },
        { Keysyms.openstar, "openstar" },
        { Keysyms.enfilledcircbullet, "enfilledcircbullet" },
        { Keysyms.enfilledsqbullet, "enfilledsqbullet" },
        { Keysyms.filledtribulletup, "filledtribulletup" },
        { Keysyms.filledtribulletdown, "filledtribulletdown" },
        { Keysyms.leftpointer, "leftpointer" },
        { Keysyms.rightpointer, "rightpointer" },
        { Keysyms.club, "club" },
        { Keysyms.diamond, "diamond" },
        { Keysyms.heart, "heart" },
        { Keysyms.maltesecross, "maltesecross" },
        { Keysyms.dagger, "dagger" },
        { Keysyms.doubledagger, "doubledagger" },
        { Keysyms.checkmark, "checkmark" },
        { Keysyms.ballotcross, "ballotcross" },
        { Keysyms.musicalsharp, "musicalsharp" },
        { Keysyms.musicalflat, "musicalflat" },
        { Keysyms.malesymbol, "malesymbol" },
        { Keysyms.femalesymbol, "femalesymbol" },
        { Keysyms.telephone, "telephone" },
        { Keysyms.telephonerecorder, "telephonerecorder" },
        { Keysyms.phonographcopyright, "phonographcopyright" },
        { Keysyms.caret, "caret" },
        { Keysyms.singlelowquotemark, "singlelowquotemark" },
        { Keysyms.doublelowquotemark, "doublelowquotemark" },
        { Keysyms.cursor, "cursor" },
        { Keysyms.leftcaret, "leftcaret" },
        { Keysyms.rightcaret, "rightcaret" },
        { Keysyms.downcaret, "downcaret" },
        { Keysyms.upcaret, "upcaret" },
        { Keysyms.overbar, "overbar" },
        { Keysyms.downtack, "downtack" },
        { Keysyms.upshoe, "upshoe" },
        { Keysyms.downstile, "downstile" },
        { Keysyms.underbar, "underbar" },
        { Keysyms.jot, "jot" },
        { Keysyms.quad, "quad" },
        { Keysyms.uptack, "uptack" },
        { Keysyms.circle, "circle" },
        { Keysyms.upstile, "upstile" },
        { Keysyms.downshoe, "downshoe" },
        { Keysyms.rightshoe, "rightshoe" },
        { Keysyms.leftshoe, "leftshoe" },
        { Keysyms.lefttack, "lefttack" },
        { Keysyms.righttack, "righttack" },
        { Keysyms.hebrew_doublelowline, "hebrew_doublelowline" },
        { Keysyms.hebrew_aleph, "hebrew_aleph" },
        { Keysyms.hebrew_bet, "hebrew_bet" },
        { Keysyms.hebrew_beth, "hebrew_beth" },
        { Keysyms.hebrew_gimel, "hebrew_gimel" },
        { Keysyms.hebrew_gimmel, "hebrew_gimmel" },
        { Keysyms.hebrew_dalet, "hebrew_dalet" },
        { Keysyms.hebrew_daleth, "hebrew_daleth" },
        { Keysyms.hebrew_he, "hebrew_he" },
        { Keysyms.hebrew_waw, "hebrew_waw" },
        { Keysyms.hebrew_zain, "hebrew_zain" },
        { Keysyms.hebrew_zayin, "hebrew_zayin" },
        { Keysyms.hebrew_chet, "hebrew_chet" },
        { Keysyms.hebrew_het, "hebrew_het" },
        { Keysyms.hebrew_tet, "hebrew_tet" },
        { Keysyms.hebrew_teth, "hebrew_teth" },
        { Keysyms.hebrew_yod, "hebrew_yod" },
        { Keysyms.hebrew_finalkaph, "hebrew_finalkaph" },
        { Keysyms.hebrew_kaph, "hebrew_kaph" },
        { Keysyms.hebrew_lamed, "hebrew_lamed" },
        { Keysyms.hebrew_finalmem, "hebrew_finalmem" },
        { Keysyms.hebrew_mem, "hebrew_mem" },
        { Keysyms.hebrew_finalnun, "hebrew_finalnun" },
        { Keysyms.hebrew_nun, "hebrew_nun" },
        { Keysyms.hebrew_samech, "hebrew_samech" },
        { Keysyms.hebrew_samekh, "hebrew_samekh" },
        { Keysyms.hebrew_ayin, "hebrew_ayin" },
        { Keysyms.hebrew_finalpe, "hebrew_finalpe" },
        { Keysyms.hebrew_pe, "hebrew_pe" },
        { Keysyms.hebrew_finalzade, "hebrew_finalzade" },
        { Keysyms.hebrew_finalzadi, "hebrew_finalzadi" },
        { Keysyms.hebrew_zade, "hebrew_zade" },
        { Keysyms.hebrew_zadi, "hebrew_zadi" },
        { Keysyms.hebrew_qoph, "hebrew_qoph" },
        { Keysyms.hebrew_kuf, "hebrew_kuf" },
        { Keysyms.hebrew_resh, "hebrew_resh" },
        { Keysyms.hebrew_shin, "hebrew_shin" },
        { Keysyms.hebrew_taw, "hebrew_taw" },
        { Keysyms.hebrew_taf, "hebrew_taf" },
        { Keysyms.Hebrew_switch, "Hebrew_switch" },
        { Keysyms.Thai_kokai, "Thai_kokai" },
        { Keysyms.Thai_khokhai, "Thai_khokhai" },
        { Keysyms.Thai_khokhuat, "Thai_khokhuat" },
        { Keysyms.Thai_khokhwai, "Thai_khokhwai" },
        { Keysyms.Thai_khokhon, "Thai_khokhon" },
        { Keysyms.Thai_khorakhang, "Thai_khorakhang" },
        { Keysyms.Thai_ngongu, "Thai_ngongu" },
        { Keysyms.Thai_chochan, "Thai_chochan" },
        { Keysyms.Thai_choching, "Thai_choching" },
        { Keysyms.Thai_chochang, "Thai_chochang" },
        { Keysyms.Thai_soso, "Thai_soso" },
        { Keysyms.Thai_chochoe, "Thai_chochoe" },
        { Keysyms.Thai_yoying, "Thai_yoying" },
        { Keysyms.Thai_dochada, "Thai_dochada" },
        { Keysyms.Thai_topatak, "Thai_topatak" },
        { Keysyms.Thai_thothan, "Thai_thothan" },
        { Keysyms.Thai_thonangmontho, "Thai_thonangmontho" },
        { Keysyms.Thai_thophuthao, "Thai_thophuthao" },
        { Keysyms.Thai_nonen, "Thai_nonen" },
        { Keysyms.Thai_dodek, "Thai_dodek" },
        { Keysyms.Thai_totao, "Thai_totao" },
        { Keysyms.Thai_thothung, "Thai_thothung" },
        { Keysyms.Thai_thothahan, "Thai_thothahan" },
        { Keysyms.Thai_thothong, "Thai_thothong" },
        { Keysyms.Thai_nonu, "Thai_nonu" },
        { Keysyms.Thai_bobaimai, "Thai_bobaimai" },
        { Keysyms.Thai_popla, "Thai_popla" },
        { Keysyms.Thai_phophung, "Thai_phophung" },
        { Keysyms.Thai_fofa, "Thai_fofa" },
        { Keysyms.Thai_phophan, "Thai_phophan" },
        { Keysyms.Thai_fofan, "Thai_fofan" },
        { Keysyms.Thai_phosamphao, "Thai_phosamphao" },
        { Keysyms.Thai_moma, "Thai_moma" },
        { Keysyms.Thai_yoyak, "Thai_yoyak" },
        { Keysyms.Thai_rorua, "Thai_rorua" },
        { Keysyms.Thai_ru, "Thai_ru" },
        { Keysyms.Thai_loling, "Thai_loling" },
        { Keysyms.Thai_lu, "Thai_lu" },
        { Keysyms.Thai_wowaen, "Thai_wowaen" },
        { Keysyms.Thai_sosala, "Thai_sosala" },
        { Keysyms.Thai_sorusi, "Thai_sorusi" },
        { Keysyms.Thai_sosua, "Thai_sosua" },
        { Keysyms.Thai_hohip, "Thai_hohip" },
        { Keysyms.Thai_lochula, "Thai_lochula" },
        { Keysyms.Thai_oang, "Thai_oang" },
        { Keysyms.Thai_honokhuk, "Thai_honokhuk" },
        { Keysyms.Thai_paiyannoi, "Thai_paiyannoi" },
        { Keysyms.Thai_saraa, "Thai_saraa" },
        { Keysyms.Thai_maihanakat, "Thai_maihanakat" },
        { Keysyms.Thai_saraaa, "Thai_saraaa" },
        { Keysyms.Thai_saraam, "Thai_saraam" },
        { Keysyms.Thai_sarai, "Thai_sarai" },
        { Keysyms.Thai_saraii, "Thai_saraii" },
        { Keysyms.Thai_saraue, "Thai_saraue" },
        { Keysyms.Thai_sarauee, "Thai_sarauee" },
        { Keysyms.Thai_sarau, "Thai_sarau" },
        { Keysyms.Thai_sarauu, "Thai_sarauu" },
        { Keysyms.Thai_phinthu, "Thai_phinthu" },
        { Keysyms.Thai_maihanakat_maitho, "Thai_maihanakat_maitho" },
        { Keysyms.Thai_baht, "Thai_baht" },
        { Keysyms.Thai_sarae, "Thai_sarae" },
        { Keysyms.Thai_saraae, "Thai_saraae" },
        { Keysyms.Thai_sarao, "Thai_sarao" },
        { Keysyms.Thai_saraaimaimuan, "Thai_saraaimaimuan" },
        { Keysyms.Thai_saraaimaimalai, "Thai_saraaimaimalai" },
        { Keysyms.Thai_lakkhangyao, "Thai_lakkhangyao" },
        { Keysyms.Thai_maiyamok, "Thai_maiyamok" },
        { Keysyms.Thai_maitaikhu, "Thai_maitaikhu" },
        { Keysyms.Thai_maiek, "Thai_maiek" },
        { Keysyms.Thai_maitho, "Thai_maitho" },
        { Keysyms.Thai_maitri, "Thai_maitri" },
        { Keysyms.Thai_maichattawa, "Thai_maichattawa" },
        { Keysyms.Thai_thanthakhat, "Thai_thanthakhat" },
        { Keysyms.Thai_nikhahit, "Thai_nikhahit" },
        { Keysyms.Thai_leksun, "Thai_leksun" },
        { Keysyms.Thai_leknung, "Thai_leknung" },
        { Keysyms.Thai_leksong, "Thai_leksong" },
        { Keysyms.Thai_leksam, "Thai_leksam" },
        { Keysyms.Thai_leksi, "Thai_leksi" },
        { Keysyms.Thai_lekha, "Thai_lekha" },
        { Keysyms.Thai_lekhok, "Thai_lekhok" },
        { Keysyms.Thai_lekchet, "Thai_lekchet" },
        { Keysyms.Thai_lekpaet, "Thai_lekpaet" },
        { Keysyms.Thai_lekkao, "Thai_lekkao" },
        { Keysyms.Hangul, "Hangul" },
        { Keysyms.Hangul_Start, "Hangul_Start" },
        { Keysyms.Hangul_End, "Hangul_End" },
        { Keysyms.Hangul_Hanja, "Hangul_Hanja" },
        { Keysyms.Hangul_Jamo, "Hangul_Jamo" },
        { Keysyms.Hangul_Romaja, "Hangul_Romaja" },
        { Keysyms.Hangul_Codeinput, "Hangul_Codeinput" },
        { Keysyms.Hangul_Jeonja, "Hangul_Jeonja" },
        { Keysyms.Hangul_Banja, "Hangul_Banja" },
        { Keysyms.Hangul_PreHanja, "Hangul_PreHanja" },
        { Keysyms.Hangul_PostHanja, "Hangul_PostHanja" },
        { Keysyms.Hangul_SingleCandidate, "Hangul_SingleCandidate" },
        { Keysyms.Hangul_MultipleCandidate, "Hangul_MultipleCandidate" },
        { Keysyms.Hangul_PreviousCandidate, "Hangul_PreviousCandidate" },
        { Keysyms.Hangul_Special, "Hangul_Special" },
        { Keysyms.Hangul_switch, "Hangul_switch" },
        { Keysyms.Hangul_Kiyeog, "Hangul_Kiyeog" },
        { Keysyms.Hangul_SsangKiyeog, "Hangul_SsangKiyeog" },
        { Keysyms.Hangul_KiyeogSios, "Hangul_KiyeogSios" },
        { Keysyms.Hangul_Nieun, "Hangul_Nieun" },
        { Keysyms.Hangul_NieunJieuj, "Hangul_NieunJieuj" },
        { Keysyms.Hangul_NieunHieuh, "Hangul_NieunHieuh" },
        { Keysyms.Hangul_Dikeud, "Hangul_Dikeud" },
        { Keysyms.Hangul_SsangDikeud, "Hangul_SsangDikeud" },
        { Keysyms.Hangul_Rieul, "Hangul_Rieul" },
        { Keysyms.Hangul_RieulKiyeog, "Hangul_RieulKiyeog" },
        { Keysyms.Hangul_RieulMieum, "Hangul_RieulMieum" },
        { Keysyms.Hangul_RieulPieub, "Hangul_RieulPieub" },
        { Keysyms.Hangul_RieulSios, "Hangul_RieulSios" },
        { Keysyms.Hangul_RieulTieut, "Hangul_RieulTieut" },
        { Keysyms.Hangul_RieulPhieuf, "Hangul_RieulPhieuf" },
        { Keysyms.Hangul_RieulHieuh, "Hangul_RieulHieuh" },
        { Keysyms.Hangul_Mieum, "Hangul_Mieum" },
        { Keysyms.Hangul_Pieub, "Hangul_Pieub" },
        { Keysyms.Hangul_SsangPieub, "Hangul_SsangPieub" },
        { Keysyms.Hangul_PieubSios, "Hangul_PieubSios" },
        { Keysyms.Hangul_Sios, "Hangul_Sios" },
        { Keysyms.Hangul_SsangSios, "Hangul_SsangSios" },
        { Keysyms.Hangul_Ieung, "Hangul_Ieung" },
        { Keysyms.Hangul_Jieuj, "Hangul_Jieuj" },
        { Keysyms.Hangul_SsangJieuj, "Hangul_SsangJieuj" },
        { Keysyms.Hangul_Cieuc, "Hangul_Cieuc" },
        { Keysyms.Hangul_Khieuq, "Hangul_Khieuq" },
        { Keysyms.Hangul_Tieut, "Hangul_Tieut" },
        { Keysyms.Hangul_Phieuf, "Hangul_Phieuf" },
        { Keysyms.Hangul_Hieuh, "Hangul_Hieuh" },
        { Keysyms.Hangul_A, "Hangul_A" },
        { Keysyms.Hangul_AE, "Hangul_AE" },
        { Keysyms.Hangul_YA, "Hangul_YA" },
        { Keysyms.Hangul_YAE, "Hangul_YAE" },
        { Keysyms.Hangul_EO, "Hangul_EO" },
        { Keysyms.Hangul_E, "Hangul_E" },
        { Keysyms.Hangul_YEO, "Hangul_YEO" },
        { Keysyms.Hangul_YE, "Hangul_YE" },
        { Keysyms.Hangul_O, "Hangul_O" },
        { Keysyms.Hangul_WA, "Hangul_WA" },
        { Keysyms.Hangul_WAE, "Hangul_WAE" },
        { Keysyms.Hangul_OE, "Hangul_OE" },
        { Keysyms.Hangul_YO, "Hangul_YO" },
        { Keysyms.Hangul_U, "Hangul_U" },
        { Keysyms.Hangul_WEO, "Hangul_WEO" },
        { Keysyms.Hangul_WE, "Hangul_WE" },
        { Keysyms.Hangul_WI, "Hangul_WI" },
        { Keysyms.Hangul_YU, "Hangul_YU" },
        { Keysyms.Hangul_EU, "Hangul_EU" },
        { Keysyms.Hangul_YI, "Hangul_YI" },
        { Keysyms.Hangul_I, "Hangul_I" },
        { Keysyms.Hangul_J_Kiyeog, "Hangul_J_Kiyeog" },
        { Keysyms.Hangul_J_SsangKiyeog, "Hangul_J_SsangKiyeog" },
        { Keysyms.Hangul_J_KiyeogSios, "Hangul_J_KiyeogSios" },
        { Keysyms.Hangul_J_Nieun, "Hangul_J_Nieun" },
        { Keysyms.Hangul_J_NieunJieuj, "Hangul_J_NieunJieuj" },
        { Keysyms.Hangul_J_NieunHieuh, "Hangul_J_NieunHieuh" },
        { Keysyms.Hangul_J_Dikeud, "Hangul_J_Dikeud" },
        { Keysyms.Hangul_J_Rieul, "Hangul_J_Rieul" },
        { Keysyms.Hangul_J_RieulKiyeog, "Hangul_J_RieulKiyeog" },
        { Keysyms.Hangul_J_RieulMieum, "Hangul_J_RieulMieum" },
        { Keysyms.Hangul_J_RieulPieub, "Hangul_J_RieulPieub" },
        { Keysyms.Hangul_J_RieulSios, "Hangul_J_RieulSios" },
        { Keysyms.Hangul_J_RieulTieut, "Hangul_J_RieulTieut" },
        { Keysyms.Hangul_J_RieulPhieuf, "Hangul_J_RieulPhieuf" },
        { Keysyms.Hangul_J_RieulHieuh, "Hangul_J_RieulHieuh" },
        { Keysyms.Hangul_J_Mieum, "Hangul_J_Mieum" },
        { Keysyms.Hangul_J_Pieub, "Hangul_J_Pieub" },
        { Keysyms.Hangul_J_PieubSios, "Hangul_J_PieubSios" },
        { Keysyms.Hangul_J_Sios, "Hangul_J_Sios" },
        { Keysyms.Hangul_J_SsangSios, "Hangul_J_SsangSios" },
        { Keysyms.Hangul_J_Ieung, "Hangul_J_Ieung" },
        { Keysyms.Hangul_J_Jieuj, "Hangul_J_Jieuj" },
        { Keysyms.Hangul_J_Cieuc, "Hangul_J_Cieuc" },
        { Keysyms.Hangul_J_Khieuq, "Hangul_J_Khieuq" },
        { Keysyms.Hangul_J_Tieut, "Hangul_J_Tieut" },
        { Keysyms.Hangul_J_Phieuf, "Hangul_J_Phieuf" },
        { Keysyms.Hangul_J_Hieuh, "Hangul_J_Hieuh" },
        { Keysyms.Hangul_RieulYeorinHieuh, "Hangul_RieulYeorinHieuh" },
        { Keysyms.Hangul_SunkyeongeumMieum, "Hangul_SunkyeongeumMieum" },
        { Keysyms.Hangul_SunkyeongeumPieub, "Hangul_SunkyeongeumPieub" },
        { Keysyms.Hangul_PanSios, "Hangul_PanSios" },
        { Keysyms.Hangul_KkogjiDalrinIeung, "Hangul_KkogjiDalrinIeung" },
        { Keysyms.Hangul_SunkyeongeumPhieuf, "Hangul_SunkyeongeumPhieuf" },
        { Keysyms.Hangul_YeorinHieuh, "Hangul_YeorinHieuh" },
        { Keysyms.Hangul_AraeA, "Hangul_AraeA" },
        { Keysyms.Hangul_AraeAE, "Hangul_AraeAE" },
        { Keysyms.Hangul_J_PanSios, "Hangul_J_PanSios" },
        { Keysyms.Hangul_J_KkogjiDalrinIeung, "Hangul_J_KkogjiDalrinIeung" },
        { Keysyms.Hangul_J_YeorinHieuh, "Hangul_J_YeorinHieuh" },
        { Keysyms.Korean_Won, "Korean_Won" },
        { Keysyms.Armenian_ligature_ew, "Armenian_ligature_ew" },
        { Keysyms.Armenian_full_stop, "Armenian_full_stop" },
        { Keysyms.Armenian_verjaket, "Armenian_verjaket" },
        { Keysyms.Armenian_separation_mark, "Armenian_separation_mark" },
        { Keysyms.Armenian_but, "Armenian_but" },
        { Keysyms.Armenian_hyphen, "Armenian_hyphen" },
        { Keysyms.Armenian_yentamna, "Armenian_yentamna" },
        { Keysyms.Armenian_exclam, "Armenian_exclam" },
        { Keysyms.Armenian_amanak, "Armenian_amanak" },
        { Keysyms.Armenian_accent, "Armenian_accent" },
        { Keysyms.Armenian_shesht, "Armenian_shesht" },
        { Keysyms.Armenian_question, "Armenian_question" },
        { Keysyms.Armenian_paruyk, "Armenian_paruyk" },
        { Keysyms.Armenian_AYB, "Armenian_AYB" },
        { Keysyms.Armenian_ayb, "Armenian_ayb" },
        { Keysyms.Armenian_BEN, "Armenian_BEN" },
        { Keysyms.Armenian_ben, "Armenian_ben" },
        { Keysyms.Armenian_GIM, "Armenian_GIM" },
        { Keysyms.Armenian_gim, "Armenian_gim" },
        { Keysyms.Armenian_DA, "Armenian_DA" },
        { Keysyms.Armenian_da, "Armenian_da" },
        { Keysyms.Armenian_YECH, "Armenian_YECH" },
        { Keysyms.Armenian_yech, "Armenian_yech" },
        { Keysyms.Armenian_ZA, "Armenian_ZA" },
        { Keysyms.Armenian_za, "Armenian_za" },
        { Keysyms.Armenian_E, "Armenian_E" },
        { Keysyms.Armenian_e, "Armenian_e" },
        { Keysyms.Armenian_AT, "Armenian_AT" },
        { Keysyms.Armenian_at, "Armenian_at" },
        { Keysyms.Armenian_TO, "Armenian_TO" },
        { Keysyms.Armenian_to, "Armenian_to" },
        { Keysyms.Armenian_ZHE, "Armenian_ZHE" },
        { Keysyms.Armenian_zhe, "Armenian_zhe" },
        { Keysyms.Armenian_INI, "Armenian_INI" },
        { Keysyms.Armenian_ini, "Armenian_ini" },
        { Keysyms.Armenian_LYUN, "Armenian_LYUN" },
        { Keysyms.Armenian_lyun, "Armenian_lyun" },
        { Keysyms.Armenian_KHE, "Armenian_KHE" },
        { Keysyms.Armenian_khe, "Armenian_khe" },
        { Keysyms.Armenian_TSA, "Armenian_TSA" },
        { Keysyms.Armenian_tsa, "Armenian_tsa" },
        { Keysyms.Armenian_KEN, "Armenian_KEN" },
        { Keysyms.Armenian_ken, "Armenian_ken" },
        { Keysyms.Armenian_HO, "Armenian_HO" },
        { Keysyms.Armenian_ho, "Armenian_ho" },
        { Keysyms.Armenian_DZA, "Armenian_DZA" },
        { Keysyms.Armenian_dza, "Armenian_dza" },
        { Keysyms.Armenian_GHAT, "Armenian_GHAT" },
        { Keysyms.Armenian_ghat, "Armenian_ghat" },
        { Keysyms.Armenian_TCHE, "Armenian_TCHE" },
        { Keysyms.Armenian_tche, "Armenian_tche" },
        { Keysyms.Armenian_MEN, "Armenian_MEN" },
        { Keysyms.Armenian_men, "Armenian_men" },
        { Keysyms.Armenian_HI, "Armenian_HI" },
        { Keysyms.Armenian_hi, "Armenian_hi" },
        { Keysyms.Armenian_NU, "Armenian_NU" },
        { Keysyms.Armenian_nu, "Armenian_nu" },
        { Keysyms.Armenian_SHA, "Armenian_SHA" },
        { Keysyms.Armenian_sha, "Armenian_sha" },
        { Keysyms.Armenian_VO, "Armenian_VO" },
        { Keysyms.Armenian_vo, "Armenian_vo" },
        { Keysyms.Armenian_CHA, "Armenian_CHA" },
        { Keysyms.Armenian_cha, "Armenian_cha" },
        { Keysyms.Armenian_PE, "Armenian_PE" },
        { Keysyms.Armenian_pe, "Armenian_pe" },
        { Keysyms.Armenian_JE, "Armenian_JE" },
        { Keysyms.Armenian_je, "Armenian_je" },
        { Keysyms.Armenian_RA, "Armenian_RA" },
        { Keysyms.Armenian_ra, "Armenian_ra" },
        { Keysyms.Armenian_SE, "Armenian_SE" },
        { Keysyms.Armenian_se, "Armenian_se" },
        { Keysyms.Armenian_VEV, "Armenian_VEV" },
        { Keysyms.Armenian_vev, "Armenian_vev" },
        { Keysyms.Armenian_TYUN, "Armenian_TYUN" },
        { Keysyms.Armenian_tyun, "Armenian_tyun" },
        { Keysyms.Armenian_RE, "Armenian_RE" },
        { Keysyms.Armenian_re, "Armenian_re" },
        { Keysyms.Armenian_TSO, "Armenian_TSO" },
        { Keysyms.Armenian_tso, "Armenian_tso" },
        { Keysyms.Armenian_VYUN, "Armenian_VYUN" },
        { Keysyms.Armenian_vyun, "Armenian_vyun" },
        { Keysyms.Armenian_PYUR, "Armenian_PYUR" },
        { Keysyms.Armenian_pyur, "Armenian_pyur" },
        { Keysyms.Armenian_KE, "Armenian_KE" },
        { Keysyms.Armenian_ke, "Armenian_ke" },
        { Keysyms.Armenian_O, "Armenian_O" },
        { Keysyms.Armenian_o, "Armenian_o" },
        { Keysyms.Armenian_FE, "Armenian_FE" },
        { Keysyms.Armenian_fe, "Armenian_fe" },
        { Keysyms.Armenian_apostrophe, "Armenian_apostrophe" },
        { Keysyms.Georgian_an, "Georgian_an" },
        { Keysyms.Georgian_ban, "Georgian_ban" },
        { Keysyms.Georgian_gan, "Georgian_gan" },
        { Keysyms.Georgian_don, "Georgian_don" },
        { Keysyms.Georgian_en, "Georgian_en" },
        { Keysyms.Georgian_vin, "Georgian_vin" },
        { Keysyms.Georgian_zen, "Georgian_zen" },
        { Keysyms.Georgian_tan, "Georgian_tan" },
        { Keysyms.Georgian_in, "Georgian_in" },
        { Keysyms.Georgian_kan, "Georgian_kan" },
        { Keysyms.Georgian_las, "Georgian_las" },
        { Keysyms.Georgian_man, "Georgian_man" },
        { Keysyms.Georgian_nar, "Georgian_nar" },
        { Keysyms.Georgian_on, "Georgian_on" },
        { Keysyms.Georgian_par, "Georgian_par" },
        { Keysyms.Georgian_zhar, "Georgian_zhar" },
        { Keysyms.Georgian_rae, "Georgian_rae" },
        { Keysyms.Georgian_san, "Georgian_san" },
        { Keysyms.Georgian_tar, "Georgian_tar" },
        { Keysyms.Georgian_un, "Georgian_un" },
        { Keysyms.Georgian_phar, "Georgian_phar" },
        { Keysyms.Georgian_khar, "Georgian_khar" },
        { Keysyms.Georgian_ghan, "Georgian_ghan" },
        { Keysyms.Georgian_qar, "Georgian_qar" },
        { Keysyms.Georgian_shin, "Georgian_shin" },
        { Keysyms.Georgian_chin, "Georgian_chin" },
        { Keysyms.Georgian_can, "Georgian_can" },
        { Keysyms.Georgian_jil, "Georgian_jil" },
        { Keysyms.Georgian_cil, "Georgian_cil" },
        { Keysyms.Georgian_char, "Georgian_char" },
        { Keysyms.Georgian_xan, "Georgian_xan" },
        { Keysyms.Georgian_jhan, "Georgian_jhan" },
        { Keysyms.Georgian_hae, "Georgian_hae" },
        { Keysyms.Georgian_he, "Georgian_he" },
        { Keysyms.Georgian_hie, "Georgian_hie" },
        { Keysyms.Georgian_we, "Georgian_we" },
        { Keysyms.Georgian_har, "Georgian_har" },
        { Keysyms.Georgian_hoe, "Georgian_hoe" },
        { Keysyms.Georgian_fi, "Georgian_fi" },
        { Keysyms.Xabovedot, "Xabovedot" },
        { Keysyms.Ibreve, "Ibreve" },
        { Keysyms.Zstroke, "Zstroke" },
        { Keysyms.Gcaron, "Gcaron" },
        { Keysyms.Ocaron, "Ocaron" },
        { Keysyms.Obarred, "Obarred" },
        { Keysyms.xabovedot, "xabovedot" },
        { Keysyms.ibreve, "ibreve" },
        { Keysyms.zstroke, "zstroke" },
        { Keysyms.gcaron, "gcaron" },
        { Keysyms.ocaron, "ocaron" },
        { Keysyms.obarred, "obarred" },
        { Keysyms.SCHWA, "SCHWA" },
        { Keysyms.schwa, "schwa" },
        { Keysyms.Lbelowdot, "Lbelowdot" },
        { Keysyms.lbelowdot, "lbelowdot" },
        { Keysyms.Abelowdot, "Abelowdot" },
        { Keysyms.abelowdot, "abelowdot" },
        { Keysyms.Ahook, "Ahook" },
        { Keysyms.ahook, "ahook" },
        { Keysyms.Acircumflexacute, "Acircumflexacute" },
        { Keysyms.acircumflexacute, "acircumflexacute" },
        { Keysyms.Acircumflexgrave, "Acircumflexgrave" },
        { Keysyms.acircumflexgrave, "acircumflexgrave" },
        { Keysyms.Acircumflexhook, "Acircumflexhook" },
        { Keysyms.acircumflexhook, "acircumflexhook" },
        { Keysyms.Acircumflextilde, "Acircumflextilde" },
        { Keysyms.acircumflextilde, "acircumflextilde" },
        { Keysyms.Acircumflexbelowdot, "Acircumflexbelowdot" },
        { Keysyms.acircumflexbelowdot, "acircumflexbelowdot" },
        { Keysyms.Abreveacute, "Abreveacute" },
        { Keysyms.abreveacute, "abreveacute" },
        { Keysyms.Abrevegrave, "Abrevegrave" },
        { Keysyms.abrevegrave, "abrevegrave" },
        { Keysyms.Abrevehook, "Abrevehook" },
        { Keysyms.abrevehook, "abrevehook" },
        { Keysyms.Abrevetilde, "Abrevetilde" },
        { Keysyms.abrevetilde, "abrevetilde" },
        { Keysyms.Abrevebelowdot, "Abrevebelowdot" },
        { Keysyms.abrevebelowdot, "abrevebelowdot" },
        { Keysyms.Ebelowdot, "Ebelowdot" },
        { Keysyms.ebelowdot, "ebelowdot" },
        { Keysyms.Ehook, "Ehook" },
        { Keysyms.ehook, "ehook" },
        { Keysyms.Etilde, "Etilde" },
        { Keysyms.etilde, "etilde" },
        { Keysyms.Ecircumflexacute, "Ecircumflexacute" },
        { Keysyms.ecircumflexacute, "ecircumflexacute" },
        { Keysyms.Ecircumflexgrave, "Ecircumflexgrave" },
        { Keysyms.ecircumflexgrave, "ecircumflexgrave" },
        { Keysyms.Ecircumflexhook, "Ecircumflexhook" },
        { Keysyms.ecircumflexhook, "ecircumflexhook" },
        { Keysyms.Ecircumflextilde, "Ecircumflextilde" },
        { Keysyms.ecircumflextilde, "ecircumflextilde" },
        { Keysyms.Ecircumflexbelowdot, "Ecircumflexbelowdot" },
        { Keysyms.ecircumflexbelowdot, "ecircumflexbelowdot" },
        { Keysyms.Ihook, "Ihook" },
        { Keysyms.ihook, "ihook" },
        { Keysyms.Ibelowdot, "Ibelowdot" },
        { Keysyms.ibelowdot, "ibelowdot" },
        { Keysyms.Obelowdot, "Obelowdot" },
        { Keysyms.obelowdot, "obelowdot" },
        { Keysyms.Ohook, "Ohook" },
        { Keysyms.ohook, "ohook" },
        { Keysyms.Ocircumflexacute, "Ocircumflexacute" },
        { Keysyms.ocircumflexacute, "ocircumflexacute" },
        { Keysyms.Ocircumflexgrave, "Ocircumflexgrave" },
        { Keysyms.ocircumflexgrave, "ocircumflexgrave" },
        { Keysyms.Ocircumflexhook, "Ocircumflexhook" },
        { Keysyms.ocircumflexhook, "ocircumflexhook" },
        { Keysyms.Ocircumflextilde, "Ocircumflextilde" },
        { Keysyms.ocircumflextilde, "ocircumflextilde" },
        { Keysyms.Ocircumflexbelowdot, "Ocircumflexbelowdot" },
        { Keysyms.ocircumflexbelowdot, "ocircumflexbelowdot" },
        { Keysyms.Ohornacute, "Ohornacute" },
        { Keysyms.ohornacute, "ohornacute" },
        { Keysyms.Ohorngrave, "Ohorngrave" },
        { Keysyms.ohorngrave, "ohorngrave" },
        { Keysyms.Ohornhook, "Ohornhook" },
        { Keysyms.ohornhook, "ohornhook" },
        { Keysyms.Ohorntilde, "Ohorntilde" },
        { Keysyms.ohorntilde, "ohorntilde" },
        { Keysyms.Ohornbelowdot, "Ohornbelowdot" },
        { Keysyms.ohornbelowdot, "ohornbelowdot" },
        { Keysyms.Ubelowdot, "Ubelowdot" },
        { Keysyms.ubelowdot, "ubelowdot" },
        { Keysyms.Uhook, "Uhook" },
        { Keysyms.uhook, "uhook" },
        { Keysyms.Uhornacute, "Uhornacute" },
        { Keysyms.uhornacute, "uhornacute" },
        { Keysyms.Uhorngrave, "Uhorngrave" },
        { Keysyms.uhorngrave, "uhorngrave" },
        { Keysyms.Uhornhook, "Uhornhook" },
        { Keysyms.uhornhook, "uhornhook" },
        { Keysyms.Uhorntilde, "Uhorntilde" },
        { Keysyms.uhorntilde, "uhorntilde" },
        { Keysyms.Uhornbelowdot, "Uhornbelowdot" },
        { Keysyms.uhornbelowdot, "uhornbelowdot" },
        { Keysyms.Ybelowdot, "Ybelowdot" },
        { Keysyms.ybelowdot, "ybelowdot" },
        { Keysyms.Yhook, "Yhook" },
        { Keysyms.yhook, "yhook" },
        { Keysyms.Ytilde, "Ytilde" },
        { Keysyms.ytilde, "ytilde" },
        { Keysyms.Ohorn, "Ohorn" },
        { Keysyms.ohorn, "ohorn" },
        { Keysyms.Uhorn, "Uhorn" },
        { Keysyms.uhorn, "uhorn" },
        { Keysyms.EcuSign, "EcuSign" },
        { Keysyms.ColonSign, "ColonSign" },
        { Keysyms.CruzeiroSign, "CruzeiroSign" },
        { Keysyms.FFrancSign, "FFrancSign" },
        { Keysyms.LiraSign, "LiraSign" },
        { Keysyms.MillSign, "MillSign" },
        { Keysyms.NairaSign, "NairaSign" },
        { Keysyms.PesetaSign, "PesetaSign" },
        { Keysyms.RupeeSign, "RupeeSign" },
        { Keysyms.WonSign, "WonSign" },
        { Keysyms.NewSheqelSign, "NewSheqelSign" },
        { Keysyms.DongSign, "DongSign" },
        { Keysyms.EuroSign, "EuroSign" },
        { Keysyms.zerosuperior, "zerosuperior" },
        { Keysyms.foursuperior, "foursuperior" },
        { Keysyms.fivesuperior, "fivesuperior" },
        { Keysyms.sixsuperior, "sixsuperior" },
        { Keysyms.sevensuperior, "sevensuperior" },
        { Keysyms.eightsuperior, "eightsuperior" },
        { Keysyms.ninesuperior, "ninesuperior" },
        { Keysyms.zerosubscript, "zerosubscript" },
        { Keysyms.onesubscript, "onesubscript" },
        { Keysyms.twosubscript, "twosubscript" },
        { Keysyms.threesubscript, "threesubscript" },
        { Keysyms.foursubscript, "foursubscript" },
        { Keysyms.fivesubscript, "fivesubscript" },
        { Keysyms.sixsubscript, "sixsubscript" },
        { Keysyms.sevensubscript, "sevensubscript" },
        { Keysyms.eightsubscript, "eightsubscript" },
        { Keysyms.ninesubscript, "ninesubscript" },
        { Keysyms.partdifferential, "partdifferential" },
        { Keysyms.emptyset, "emptyset" },
        { Keysyms.elementof, "elementof" },
        { Keysyms.notelementof, "notelementof" },
        { Keysyms.containsas, "containsas" },
        { Keysyms.squareroot, "squareroot" },
        { Keysyms.cuberoot, "cuberoot" },
        { Keysyms.fourthroot, "fourthroot" },
        { Keysyms.dintegral, "dintegral" },
        { Keysyms.tintegral, "tintegral" },
        { Keysyms.because, "because" },
        { Keysyms.approxeq, "approxeq" },
        { Keysyms.notapproxeq, "notapproxeq" },
        { Keysyms.notidentical, "notidentical" },
        { Keysyms.stricteq, "stricteq" },
        { Keysyms.braille_dot_1, "braille_dot_1" },
        { Keysyms.braille_dot_2, "braille_dot_2" },
        { Keysyms.braille_dot_3, "braille_dot_3" },
        { Keysyms.braille_dot_4, "braille_dot_4" },
        { Keysyms.braille_dot_5, "braille_dot_5" },
        { Keysyms.braille_dot_6, "braille_dot_6" },
        { Keysyms.braille_dot_7, "braille_dot_7" },
        { Keysyms.braille_dot_8, "braille_dot_8" },
        { Keysyms.braille_dot_9, "braille_dot_9" },
        { Keysyms.braille_dot_10, "braille_dot_10" },
        { Keysyms.braille_blank, "braille_blank" },
        { Keysyms.braille_dots_1, "braille_dots_1" },
        { Keysyms.braille_dots_2, "braille_dots_2" },
        { Keysyms.braille_dots_12, "braille_dots_12" },
        { Keysyms.braille_dots_3, "braille_dots_3" },
        { Keysyms.braille_dots_13, "braille_dots_13" },
        { Keysyms.braille_dots_23, "braille_dots_23" },
        { Keysyms.braille_dots_123, "braille_dots_123" },
        { Keysyms.braille_dots_4, "braille_dots_4" },
        { Keysyms.braille_dots_14, "braille_dots_14" },
        { Keysyms.braille_dots_24, "braille_dots_24" },
        { Keysyms.braille_dots_124, "braille_dots_124" },
        { Keysyms.braille_dots_34, "braille_dots_34" },
        { Keysyms.braille_dots_134, "braille_dots_134" },
        { Keysyms.braille_dots_234, "braille_dots_234" },
        { Keysyms.braille_dots_1234, "braille_dots_1234" },
        { Keysyms.braille_dots_5, "braille_dots_5" },
        { Keysyms.braille_dots_15, "braille_dots_15" },
        { Keysyms.braille_dots_25, "braille_dots_25" },
        { Keysyms.braille_dots_125, "braille_dots_125" },
        { Keysyms.braille_dots_35, "braille_dots_35" },
        { Keysyms.braille_dots_135, "braille_dots_135" },
        { Keysyms.braille_dots_235, "braille_dots_235" },
        { Keysyms.braille_dots_1235, "braille_dots_1235" },
        { Keysyms.braille_dots_45, "braille_dots_45" },
        { Keysyms.braille_dots_145, "braille_dots_145" },
        { Keysyms.braille_dots_245, "braille_dots_245" },
        { Keysyms.braille_dots_1245, "braille_dots_1245" },
        { Keysyms.braille_dots_345, "braille_dots_345" },
        { Keysyms.braille_dots_1345, "braille_dots_1345" },
        { Keysyms.braille_dots_2345, "braille_dots_2345" },
        { Keysyms.braille_dots_12345, "braille_dots_12345" },
        { Keysyms.braille_dots_6, "braille_dots_6" },
        { Keysyms.braille_dots_16, "braille_dots_16" },
        { Keysyms.braille_dots_26, "braille_dots_26" },
        { Keysyms.braille_dots_126, "braille_dots_126" },
        { Keysyms.braille_dots_36, "braille_dots_36" },
        { Keysyms.braille_dots_136, "braille_dots_136" },
        { Keysyms.braille_dots_236, "braille_dots_236" },
        { Keysyms.braille_dots_1236, "braille_dots_1236" },
        { Keysyms.braille_dots_46, "braille_dots_46" },
        { Keysyms.braille_dots_146, "braille_dots_146" },
        { Keysyms.braille_dots_246, "braille_dots_246" },
        { Keysyms.braille_dots_1246, "braille_dots_1246" },
        { Keysyms.braille_dots_346, "braille_dots_346" },
        { Keysyms.braille_dots_1346, "braille_dots_1346" },
        { Keysyms.braille_dots_2346, "braille_dots_2346" },
        { Keysyms.braille_dots_12346, "braille_dots_12346" },
        { Keysyms.braille_dots_56, "braille_dots_56" },
        { Keysyms.braille_dots_156, "braille_dots_156" },
        { Keysyms.braille_dots_256, "braille_dots_256" },
        { Keysyms.braille_dots_1256, "braille_dots_1256" },
        { Keysyms.braille_dots_356, "braille_dots_356" },
        { Keysyms.braille_dots_1356, "braille_dots_1356" },
        { Keysyms.braille_dots_2356, "braille_dots_2356" },
        { Keysyms.braille_dots_12356, "braille_dots_12356" },
        { Keysyms.braille_dots_456, "braille_dots_456" },
        { Keysyms.braille_dots_1456, "braille_dots_1456" },
        { Keysyms.braille_dots_2456, "braille_dots_2456" },
        { Keysyms.braille_dots_12456, "braille_dots_12456" },
        { Keysyms.braille_dots_3456, "braille_dots_3456" },
        { Keysyms.braille_dots_13456, "braille_dots_13456" },
        { Keysyms.braille_dots_23456, "braille_dots_23456" },
        { Keysyms.braille_dots_123456, "braille_dots_123456" },
        { Keysyms.braille_dots_7, "braille_dots_7" },
        { Keysyms.braille_dots_17, "braille_dots_17" },
        { Keysyms.braille_dots_27, "braille_dots_27" },
        { Keysyms.braille_dots_127, "braille_dots_127" },
        { Keysyms.braille_dots_37, "braille_dots_37" },
        { Keysyms.braille_dots_137, "braille_dots_137" },
        { Keysyms.braille_dots_237, "braille_dots_237" },
        { Keysyms.braille_dots_1237, "braille_dots_1237" },
        { Keysyms.braille_dots_47, "braille_dots_47" },
        { Keysyms.braille_dots_147, "braille_dots_147" },
        { Keysyms.braille_dots_247, "braille_dots_247" },
        { Keysyms.braille_dots_1247, "braille_dots_1247" },
        { Keysyms.braille_dots_347, "braille_dots_347" },
        { Keysyms.braille_dots_1347, "braille_dots_1347" },
        { Keysyms.braille_dots_2347, "braille_dots_2347" },
        { Keysyms.braille_dots_12347, "braille_dots_12347" },
        { Keysyms.braille_dots_57, "braille_dots_57" },
        { Keysyms.braille_dots_157, "braille_dots_157" },
        { Keysyms.braille_dots_257, "braille_dots_257" },
        { Keysyms.braille_dots_1257, "braille_dots_1257" },
        { Keysyms.braille_dots_357, "braille_dots_357" },
        { Keysyms.braille_dots_1357, "braille_dots_1357" },
        { Keysyms.braille_dots_2357, "braille_dots_2357" },
        { Keysyms.braille_dots_12357, "braille_dots_12357" },
        { Keysyms.braille_dots_457, "braille_dots_457" },
        { Keysyms.braille_dots_1457, "braille_dots_1457" },
        { Keysyms.braille_dots_2457, "braille_dots_2457" },
        { Keysyms.braille_dots_12457, "braille_dots_12457" },
        { Keysyms.braille_dots_3457, "braille_dots_3457" },
        { Keysyms.braille_dots_13457, "braille_dots_13457" },
        { Keysyms.braille_dots_23457, "braille_dots_23457" },
        { Keysyms.braille_dots_123457, "braille_dots_123457" },
        { Keysyms.braille_dots_67, "braille_dots_67" },
        { Keysyms.braille_dots_167, "braille_dots_167" },
        { Keysyms.braille_dots_267, "braille_dots_267" },
        { Keysyms.braille_dots_1267, "braille_dots_1267" },
        { Keysyms.braille_dots_367, "braille_dots_367" },
        { Keysyms.braille_dots_1367, "braille_dots_1367" },
        { Keysyms.braille_dots_2367, "braille_dots_2367" },
        { Keysyms.braille_dots_12367, "braille_dots_12367" },
        { Keysyms.braille_dots_467, "braille_dots_467" },
        { Keysyms.braille_dots_1467, "braille_dots_1467" },
        { Keysyms.braille_dots_2467, "braille_dots_2467" },
        { Keysyms.braille_dots_12467, "braille_dots_12467" },
        { Keysyms.braille_dots_3467, "braille_dots_3467" },
        { Keysyms.braille_dots_13467, "braille_dots_13467" },
        { Keysyms.braille_dots_23467, "braille_dots_23467" },
        { Keysyms.braille_dots_123467, "braille_dots_123467" },
        { Keysyms.braille_dots_567, "braille_dots_567" },
        { Keysyms.braille_dots_1567, "braille_dots_1567" },
        { Keysyms.braille_dots_2567, "braille_dots_2567" },
        { Keysyms.braille_dots_12567, "braille_dots_12567" },
        { Keysyms.braille_dots_3567, "braille_dots_3567" },
        { Keysyms.braille_dots_13567, "braille_dots_13567" },
        { Keysyms.braille_dots_23567, "braille_dots_23567" },
        { Keysyms.braille_dots_123567, "braille_dots_123567" },
        { Keysyms.braille_dots_4567, "braille_dots_4567" },
        { Keysyms.braille_dots_14567, "braille_dots_14567" },
        { Keysyms.braille_dots_24567, "braille_dots_24567" },
        { Keysyms.braille_dots_124567, "braille_dots_124567" },
        { Keysyms.braille_dots_34567, "braille_dots_34567" },
        { Keysyms.braille_dots_134567, "braille_dots_134567" },
        { Keysyms.braille_dots_234567, "braille_dots_234567" },
        { Keysyms.braille_dots_1234567, "braille_dots_1234567" },
        { Keysyms.braille_dots_8, "braille_dots_8" },
        { Keysyms.braille_dots_18, "braille_dots_18" },
        { Keysyms.braille_dots_28, "braille_dots_28" },
        { Keysyms.braille_dots_128, "braille_dots_128" },
        { Keysyms.braille_dots_38, "braille_dots_38" },
        { Keysyms.braille_dots_138, "braille_dots_138" },
        { Keysyms.braille_dots_238, "braille_dots_238" },
        { Keysyms.braille_dots_1238, "braille_dots_1238" },
        { Keysyms.braille_dots_48, "braille_dots_48" },
        { Keysyms.braille_dots_148, "braille_dots_148" },
        { Keysyms.braille_dots_248, "braille_dots_248" },
        { Keysyms.braille_dots_1248, "braille_dots_1248" },
        { Keysyms.braille_dots_348, "braille_dots_348" },
        { Keysyms.braille_dots_1348, "braille_dots_1348" },
        { Keysyms.braille_dots_2348, "braille_dots_2348" },
        { Keysyms.braille_dots_12348, "braille_dots_12348" },
        { Keysyms.braille_dots_58, "braille_dots_58" },
        { Keysyms.braille_dots_158, "braille_dots_158" },
        { Keysyms.braille_dots_258, "braille_dots_258" },
        { Keysyms.braille_dots_1258, "braille_dots_1258" },
        { Keysyms.braille_dots_358, "braille_dots_358" },
        { Keysyms.braille_dots_1358, "braille_dots_1358" },
        { Keysyms.braille_dots_2358, "braille_dots_2358" },
        { Keysyms.braille_dots_12358, "braille_dots_12358" },
        { Keysyms.braille_dots_458, "braille_dots_458" },
        { Keysyms.braille_dots_1458, "braille_dots_1458" },
        { Keysyms.braille_dots_2458, "braille_dots_2458" },
        { Keysyms.braille_dots_12458, "braille_dots_12458" },
        { Keysyms.braille_dots_3458, "braille_dots_3458" },
        { Keysyms.braille_dots_13458, "braille_dots_13458" },
        { Keysyms.braille_dots_23458, "braille_dots_23458" },
        { Keysyms.braille_dots_123458, "braille_dots_123458" },
        { Keysyms.braille_dots_68, "braille_dots_68" },
        { Keysyms.braille_dots_168, "braille_dots_168" },
        { Keysyms.braille_dots_268, "braille_dots_268" },
        { Keysyms.braille_dots_1268, "braille_dots_1268" },
        { Keysyms.braille_dots_368, "braille_dots_368" },
        { Keysyms.braille_dots_1368, "braille_dots_1368" },
        { Keysyms.braille_dots_2368, "braille_dots_2368" },
        { Keysyms.braille_dots_12368, "braille_dots_12368" },
        { Keysyms.braille_dots_468, "braille_dots_468" },
        { Keysyms.braille_dots_1468, "braille_dots_1468" },
        { Keysyms.braille_dots_2468, "braille_dots_2468" },
        { Keysyms.braille_dots_12468, "braille_dots_12468" },
        { Keysyms.braille_dots_3468, "braille_dots_3468" },
        { Keysyms.braille_dots_13468, "braille_dots_13468" },
        { Keysyms.braille_dots_23468, "braille_dots_23468" },
        { Keysyms.braille_dots_123468, "braille_dots_123468" },
        { Keysyms.braille_dots_568, "braille_dots_568" },
        { Keysyms.braille_dots_1568, "braille_dots_1568" },
        { Keysyms.braille_dots_2568, "braille_dots_2568" },
        { Keysyms.braille_dots_12568, "braille_dots_12568" },
        { Keysyms.braille_dots_3568, "braille_dots_3568" },
        { Keysyms.braille_dots_13568, "braille_dots_13568" },
        { Keysyms.braille_dots_23568, "braille_dots_23568" },
        { Keysyms.braille_dots_123568, "braille_dots_123568" },
        { Keysyms.braille_dots_4568, "braille_dots_4568" },
        { Keysyms.braille_dots_14568, "braille_dots_14568" },
        { Keysyms.braille_dots_24568, "braille_dots_24568" },
        { Keysyms.braille_dots_124568, "braille_dots_124568" },
        { Keysyms.braille_dots_34568, "braille_dots_34568" },
        { Keysyms.braille_dots_134568, "braille_dots_134568" },
        { Keysyms.braille_dots_234568, "braille_dots_234568" },
        { Keysyms.braille_dots_1234568, "braille_dots_1234568" },
        { Keysyms.braille_dots_78, "braille_dots_78" },
        { Keysyms.braille_dots_178, "braille_dots_178" },
        { Keysyms.braille_dots_278, "braille_dots_278" },
        { Keysyms.braille_dots_1278, "braille_dots_1278" },
        { Keysyms.braille_dots_378, "braille_dots_378" },
        { Keysyms.braille_dots_1378, "braille_dots_1378" },
        { Keysyms.braille_dots_2378, "braille_dots_2378" },
        { Keysyms.braille_dots_12378, "braille_dots_12378" },
        { Keysyms.braille_dots_478, "braille_dots_478" },
        { Keysyms.braille_dots_1478, "braille_dots_1478" },
        { Keysyms.braille_dots_2478, "braille_dots_2478" },
        { Keysyms.braille_dots_12478, "braille_dots_12478" },
        { Keysyms.braille_dots_3478, "braille_dots_3478" },
        { Keysyms.braille_dots_13478, "braille_dots_13478" },
        { Keysyms.braille_dots_23478, "braille_dots_23478" },
        { Keysyms.braille_dots_123478, "braille_dots_123478" },
        { Keysyms.braille_dots_578, "braille_dots_578" },
        { Keysyms.braille_dots_1578, "braille_dots_1578" },
        { Keysyms.braille_dots_2578, "braille_dots_2578" },
        { Keysyms.braille_dots_12578, "braille_dots_12578" },
        { Keysyms.braille_dots_3578, "braille_dots_3578" },
        { Keysyms.braille_dots_13578, "braille_dots_13578" },
        { Keysyms.braille_dots_23578, "braille_dots_23578" },
        { Keysyms.braille_dots_123578, "braille_dots_123578" },
        { Keysyms.braille_dots_4578, "braille_dots_4578" },
        { Keysyms.braille_dots_14578, "braille_dots_14578" },
        { Keysyms.braille_dots_24578, "braille_dots_24578" },
        { Keysyms.braille_dots_124578, "braille_dots_124578" },
        { Keysyms.braille_dots_34578, "braille_dots_34578" },
        { Keysyms.braille_dots_134578, "braille_dots_134578" },
        { Keysyms.braille_dots_234578, "braille_dots_234578" },
        { Keysyms.braille_dots_1234578, "braille_dots_1234578" },
        { Keysyms.braille_dots_678, "braille_dots_678" },
        { Keysyms.braille_dots_1678, "braille_dots_1678" },
        { Keysyms.braille_dots_2678, "braille_dots_2678" },
        { Keysyms.braille_dots_12678, "braille_dots_12678" },
        { Keysyms.braille_dots_3678, "braille_dots_3678" },
        { Keysyms.braille_dots_13678, "braille_dots_13678" },
        { Keysyms.braille_dots_23678, "braille_dots_23678" },
        { Keysyms.braille_dots_123678, "braille_dots_123678" },
        { Keysyms.braille_dots_4678, "braille_dots_4678" },
        { Keysyms.braille_dots_14678, "braille_dots_14678" },
        { Keysyms.braille_dots_24678, "braille_dots_24678" },
        { Keysyms.braille_dots_124678, "braille_dots_124678" },
        { Keysyms.braille_dots_34678, "braille_dots_34678" },
        { Keysyms.braille_dots_134678, "braille_dots_134678" },
        { Keysyms.braille_dots_234678, "braille_dots_234678" },
        { Keysyms.braille_dots_1234678, "braille_dots_1234678" },
        { Keysyms.braille_dots_5678, "braille_dots_5678" },
        { Keysyms.braille_dots_15678, "braille_dots_15678" },
        { Keysyms.braille_dots_25678, "braille_dots_25678" },
        { Keysyms.braille_dots_125678, "braille_dots_125678" },
        { Keysyms.braille_dots_35678, "braille_dots_35678" },
        { Keysyms.braille_dots_135678, "braille_dots_135678" },
        { Keysyms.braille_dots_235678, "braille_dots_235678" },
        { Keysyms.braille_dots_1235678, "braille_dots_1235678" },
        { Keysyms.braille_dots_45678, "braille_dots_45678" },
        { Keysyms.braille_dots_145678, "braille_dots_145678" },
        { Keysyms.braille_dots_245678, "braille_dots_245678" },
        { Keysyms.braille_dots_1245678, "braille_dots_1245678" },
        { Keysyms.braille_dots_345678, "braille_dots_345678" },
        { Keysyms.braille_dots_1345678, "braille_dots_1345678" },
        { Keysyms.braille_dots_2345678, "braille_dots_2345678" },
        { Keysyms.braille_dots_12345678, "braille_dots_12345678" },
        { Keysyms.Sinh_ng, "Sinh_ng" },
        { Keysyms.Sinh_h2, "Sinh_h2" },
        { Keysyms.Sinh_a, "Sinh_a" },
        { Keysyms.Sinh_aa, "Sinh_aa" },
        { Keysyms.Sinh_ae, "Sinh_ae" },
        { Keysyms.Sinh_aee, "Sinh_aee" },
        { Keysyms.Sinh_i, "Sinh_i" },
        { Keysyms.Sinh_ii, "Sinh_ii" },
        { Keysyms.Sinh_u, "Sinh_u" },
        { Keysyms.Sinh_uu, "Sinh_uu" },
        { Keysyms.Sinh_ri, "Sinh_ri" },
        { Keysyms.Sinh_rii, "Sinh_rii" },
        { Keysyms.Sinh_lu, "Sinh_lu" },
        { Keysyms.Sinh_luu, "Sinh_luu" },
        { Keysyms.Sinh_e, "Sinh_e" },
        { Keysyms.Sinh_ee, "Sinh_ee" },
        { Keysyms.Sinh_ai, "Sinh_ai" },
        { Keysyms.Sinh_o, "Sinh_o" },
        { Keysyms.Sinh_oo, "Sinh_oo" },
        { Keysyms.Sinh_au, "Sinh_au" },
        { Keysyms.Sinh_ka, "Sinh_ka" },
        { Keysyms.Sinh_kha, "Sinh_kha" },
        { Keysyms.Sinh_ga, "Sinh_ga" },
        { Keysyms.Sinh_gha, "Sinh_gha" },
        { Keysyms.Sinh_ng2, "Sinh_ng2" },
        { Keysyms.Sinh_nga, "Sinh_nga" },
        { Keysyms.Sinh_ca, "Sinh_ca" },
        { Keysyms.Sinh_cha, "Sinh_cha" },
        { Keysyms.Sinh_ja, "Sinh_ja" },
        { Keysyms.Sinh_jha, "Sinh_jha" },
        { Keysyms.Sinh_nya, "Sinh_nya" },
        { Keysyms.Sinh_jnya, "Sinh_jnya" },
        { Keysyms.Sinh_nja, "Sinh_nja" },
        { Keysyms.Sinh_tta, "Sinh_tta" },
        { Keysyms.Sinh_ttha, "Sinh_ttha" },
        { Keysyms.Sinh_dda, "Sinh_dda" },
        { Keysyms.Sinh_ddha, "Sinh_ddha" },
        { Keysyms.Sinh_nna, "Sinh_nna" },
        { Keysyms.Sinh_ndda, "Sinh_ndda" },
        { Keysyms.Sinh_tha, "Sinh_tha" },
        { Keysyms.Sinh_thha, "Sinh_thha" },
        { Keysyms.Sinh_dha, "Sinh_dha" },
        { Keysyms.Sinh_dhha, "Sinh_dhha" },
        { Keysyms.Sinh_na, "Sinh_na" },
        { Keysyms.Sinh_ndha, "Sinh_ndha" },
        { Keysyms.Sinh_pa, "Sinh_pa" },
        { Keysyms.Sinh_pha, "Sinh_pha" },
        { Keysyms.Sinh_ba, "Sinh_ba" },
        { Keysyms.Sinh_bha, "Sinh_bha" },
        { Keysyms.Sinh_ma, "Sinh_ma" },
        { Keysyms.Sinh_mba, "Sinh_mba" },
        { Keysyms.Sinh_ya, "Sinh_ya" },
        { Keysyms.Sinh_ra, "Sinh_ra" },
        { Keysyms.Sinh_la, "Sinh_la" },
        { Keysyms.Sinh_va, "Sinh_va" },
        { Keysyms.Sinh_sha, "Sinh_sha" },
        { Keysyms.Sinh_ssha, "Sinh_ssha" },
        { Keysyms.Sinh_sa, "Sinh_sa" },
        { Keysyms.Sinh_ha, "Sinh_ha" },
        { Keysyms.Sinh_lla, "Sinh_lla" },
        { Keysyms.Sinh_fa, "Sinh_fa" },
        { Keysyms.Sinh_al, "Sinh_al" },
        { Keysyms.Sinh_aa2, "Sinh_aa2" },
        { Keysyms.Sinh_ae2, "Sinh_ae2" },
        { Keysyms.Sinh_aee2, "Sinh_aee2" },
        { Keysyms.Sinh_i2, "Sinh_i2" },
        { Keysyms.Sinh_ii2, "Sinh_ii2" },
        { Keysyms.Sinh_u2, "Sinh_u2" },
        { Keysyms.Sinh_uu2, "Sinh_uu2" },
        { Keysyms.Sinh_ru2, "Sinh_ru2" },
        { Keysyms.Sinh_e2, "Sinh_e2" },
        { Keysyms.Sinh_ee2, "Sinh_ee2" },
        { Keysyms.Sinh_ai2, "Sinh_ai2" },
        { Keysyms.Sinh_o2, "Sinh_o2" },
        { Keysyms.Sinh_oo2, "Sinh_oo2" },
        { Keysyms.Sinh_au2, "Sinh_au2" },
        { Keysyms.Sinh_lu2, "Sinh_lu2" },
        { Keysyms.Sinh_ruu2, "Sinh_ruu2" },
        { Keysyms.Sinh_luu2, "Sinh_luu2" },
        { Keysyms.Sinh_kunddaliya, "Sinh_kunddaliya" }
    };
}
